/****
*
*	File name :		sstimer.h
*	Author :		Steve Johnson
*	Creation date :	September 10, 1985
*
*	Copyright (c) 1985,1999 Sigma Six Corporation
*
*	Include file for the timer library
*
****/

typedef struct {
    int		year;
    int		month;
    int		day;
    int		hour;
    int		minute;
    int		second;
    int		milliseconds;
} DATE_TIME_DEF;

typedef struct {
	long	tv_sec;
	long	tv_usec;
} TIME_DEF;

extern void		time_get (TIME_DEF *);
extern int		time_expired (TIME_DEF *, TIME_DEF *, long);
extern void		time_diff (TIME_DEF *, TIME_DEF *, TIME_DEF *);
extern void		time_max (TIME_DEF *, TIME_DEF *, TIME_DEF *);
extern int		time_compare (TIME_DEF *, TIME_DEF *);
extern void		time_date_to_time (DATE_TIME_DEF *, TIME_DEF *);
extern void		time_time_to_date (TIME_DEF *, DATE_TIME_DEF *);

