
/****************************************************************************
 *
 *  FILE    :   datamoveredfldidx.h 
 *  DATE    :   08 Oct 93
 *  AUTHOR  :   emsteel
 *  PURPOSE :   define redundant fields for the datamove record
 *
****************************************************************************/

/****************************************************************************
 *
 * Programmer's Notes:
 *    the spellings must agree with the spellings in datamoveRecord.ascii
 *    and in namelist[] in recDatamove.c, also the order must be the same
 *    as in recDatamove.c
 *
****************************************************************************/

#define     STAT   0           /* current status                */
#define     SEVR   1           /* current severity              */
#define     VAL    2           /* current input channel value   */
#define     NUMDATAMOVEFLDS	(VAL + 1)
