/* interruptEvent.h */
/* share/epicsH @(#)interruptEvent.h	1.4     6/7/91 */

/* header file used to wake up the I/O event scanner */
/*
 * 	Author:      Bob Dalesio
 * 	Date:        12-9-88
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the Regents of the University of California,
 *      and the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contracts:
 *      (W-7405-ENG-36) at the Los Alamos National Laboratory,
 *      and (W-31-109-ENG-38) at Argonne National Laboratory.
 *
 *      Initial development by:
 *              The Controls and Automation Group (AT-8)
 *              Ground Test Accelerator
 *              Accelerator Technology Division
 *              Los Alamos National Laboratory
 *
 *      Co-developed with
 *              The Controls and Computing Group
 *              Accelerator Systems Division
 *              Advanced Photon Source
 *              Argonne National Laboratory
 *
 * Modification Log:
 * -----------------
 * .01  09-14-90        mrk	changed name and moved to $cs/h
 */

struct intr_event{
	short	io_type;
	short	card_type;
	short	card_number;
};
#define INTR_EVENT_SZ	sizeof(struct intr_event)
