
/* mbbiRecord.h */
#ifndef INCmbbiRecordh
#define INCmbbiRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct mbbiRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of mbbi specific fields */ 
	unsigned short	val;		/*  */
	short		nobt;		/*  */
	struct link	inp;		/*  */
	struct link	flnk;		/*  */
	unsigned long	zrvl;		/*  */
	unsigned long	onvl;		/*  */
	unsigned long	twvl;		/*  */
	unsigned long	thvl;		/*  */
	unsigned long	frvl;		/*  */
	unsigned long	fvvl;		/*  */
	unsigned long	sxvl;		/*  */
	unsigned long	svvl;		/*  */
	unsigned long	eivl;		/*  */
	unsigned long	nivl;		/*  */
	unsigned long	tevl;		/*  */
	unsigned long	elvl;		/*  */
	unsigned long	tvvl;		/*  */
	unsigned long	ttvl;		/*  */
	unsigned long	ftvl;		/*  */
	unsigned long	ffvl;		/*  */
	char		zrst[16];		/*  */
	char		onst[16];		/*  */
	char		twst[16];		/*  */
	char		thst[16];		/*  */
	char		frst[16];		/*  */
	char		fvst[16];		/*  */
	char		sxst[16];		/*  */
	char		svst[16];		/*  */
	char		eist[16];		/*  */
	char		nist[16];		/*  */
	char		test[16];		/*  */
	char		elst[16];		/*  */
	char		tvst[16];		/*  */
	char		ttst[16];		/*  */
	char		ftst[16];		/*  */
	char		ffst[16];		/*  */
	unsigned short	zrsv;		/*  */
	unsigned short	onsv;		/*  */
	unsigned short	twsv;		/*  */
	unsigned short	thsv;		/*  */
	unsigned short	frsv;		/*  */
	unsigned short	fvsv;		/*  */
	unsigned short	sxsv;		/*  */
	unsigned short	svsv;		/*  */
	unsigned short	eisv;		/*  */
	unsigned short	nisv;		/*  */
	unsigned short	tesv;		/*  */
	unsigned short	elsv;		/*  */
	unsigned short	tvsv;		/*  */
	unsigned short	ttsv;		/*  */
	unsigned short	ftsv;		/*  */
	unsigned short	ffsv;		/*  */
	unsigned short	unsv;		/*  */
	unsigned short	cosv;		/*  */
	unsigned long	rval;		/*  */
	unsigned long	oraw;		/*  */
	unsigned long	mask;		/*  */
	caddr_t	dpvt;		/*  */
	unsigned short	mlst;		/*  */
	unsigned short	lalm;		/*  */
	short		sdef;		/*  */
	unsigned short	shft;		/*  */
	unsigned short	mode;		/*  */
	unsigned short	cnst;		/*  */
	short		fpps;		/*  */
	unsigned short	lval;		/*  */
};
#endif

