
/* valveRecord.h */
#ifndef INCvalveRecordh
#define INCvalveRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct valveRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of valve specific fields */ 
	double		val;		/*  */
	struct link	vopp;		/*  */
	struct link	vclp;		/*  */
	struct link	olsp;		/*  */
	struct link	clsp;		/*  */
	struct link	otsp;		/*  */
	struct link	ctsp;		/*  */
	struct link	rolp;		/*  */
	struct link	vpop;		/*  */
	struct link	drop;		/*  */
	struct link	fmbp;		/*  */
	struct link	perp;		/*  */
	struct link	flnk;		/*  */
	short		esin;		/*  */
	unsigned short	esac;		/*  */
	unsigned short	otsi;		/*  */
	unsigned short	ctsi;		/*  */
	double		vjot;		/*  */
	double		vjct;		/*  */
	double		disl;		/*  */
	double		dish;		/*  */
	double		lopr;		/*  */
	double		hopr;		/*  */
	double		vpos;		/*  */
	char		cmds[18];		/*  */
	char		sopn[18];		/*  */
	char		scls[18];		/*  */
	char		srev[18];		/*  */
	char		sjop[18];		/*  */
	char		sjcl[18];		/*  */
	char		spos[18];		/*  */
	short		copn;		/*  */
	short		ccls;		/*  */
	short		crev;		/*  */
	short		cjgo;		/*  */
	short		cjgc;		/*  */
	short		cpos;		/*  */
	short		opns;		/*  */
	short		clss;		/*  */
	short		revs;		/*  */
	short		jgos;		/*  */
	short		jgcs;		/*  */
	short		poss;		/*  */
	char		vast[18];		/*  */
	char		swst[18];		/*  */
	short		vasv;		/*  */
	short		swsv;		/*  */
	short		lmod;		/*  */
	char		stop[18];		/*  */
	char		stcl[18];		/*  */
	char		stot[18];		/*  */
	char		stct[18];		/*  */
	char		stfa[18];		/*  */
	char		stun[18];		/*  */
	char		swlo[18];		/*  */
	char		swre[18];		/*  */
	unsigned short	lmen;		/*  */
	unsigned short	lten;		/*  */
	unsigned short	mode;		/*  */
	short		opdb;		/*  */
	short		cldb;		/*  */
	unsigned short	alma;		/*  */
	unsigned short	alau;		/*  */
	unsigned short	masv;		/*  */
	double		exop;		/*  */
	double		excl;		/*  */
	double		mltl;		/*  */
	unsigned short	opsv;		/*  */
	unsigned short	clsv;		/*  */
	unsigned short	ltsv;		/*  */
	short		bsin;		/*  */
	unsigned short	ausv;		/*  */
	short		prec;		/*  */
	unsigned short	smod;		/*  */
	short		lcmd;		/*  */
	double		vcur;		/*  */
	double		btim;		/*  */
	double		ttim;		/*  */
	unsigned long	tcks;		/*  */
	short		fsrc;		/*  */
	char		pcmd[18];		/*  */
	unsigned short	pltr;		/*  */
	unsigned short	olsi;		/*  */
	unsigned short	clsi;		/*  */
};
#endif

