/*drvBendix_proto.h,v 1.1.1.1 1999/08/03 14:41:54 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/****************************************************************/
void lmp_driver (unsigned short line, unsigned char *mode,  unsigned short devtype,
                 unsigned short private, unsigned short timeout);

static	void    on_line(unsigned short line,unsigned short mod);

static void    mark_not_valid(LMPDEV  *pmod);

static	void    scan_plc(LMPDEV *pmod, unsigned short line,unsigned short mod);

static	void checkoutputs(unsigned short line);

int lmp_aidriver (char *pname, unsigned short link, unsigned short adapter, unsigned short card,
		unsigned short signal, char *pvalue, unsigned short conversion,
		unsigned short asccnvlen, unsigned char *resname);

int lmp_bidriver (char *pname, unsigned short link, unsigned short adapter, unsigned short card,
		unsigned short signal, unsigned long mask, unsigned long *pvalue,
		unsigned char *resname);

int lmp_bodriver (char *pname, unsigned short link, unsigned short adapter, unsigned short card,
		  unsigned short signal, unsigned char *value, unsigned long bvalue,
		  unsigned long mask, unsigned char *resname);

int lmp_boread (char *pname, unsigned short link, unsigned short adapter, unsigned short card,
		unsigned short signal, unsigned long *pvalue, unsigned long mask,
		unsigned char *resname);

int lmp_sidriver (char *pname, unsigned short link, unsigned short adapter, unsigned short card,
		unsigned short signal, unsigned char *value, unsigned short len,
		unsigned char *resname);

int lmp_sodriver (char *pname, unsigned short link, unsigned short adapter, unsigned short card,
		unsigned short signal, unsigned char *value, unsigned short len,
		unsigned char *resname);

static void	lockdata(unsigned short line);

static void	unlockdata(unsigned short line);

static void  register_resource (unsigned short link, LMPDEV *pmod,
                                unsigned char *resname, char *pointname);


static	void outqueinit (unsigned short line);

static	OUTQENT *ogetemptyp (unsigned short line);

static	void omarkfull(unsigned short line);

static	OUTQENT *ogetnextp (unsigned short line);

static	void oreleasefull(unsigned short line);

static	void link_status(unsigned short line);

static	void start_rx( unsigned short line,SEMAPHORE *semid,unsigned short *pstatus );

static	void stop_rx( unsigned short line );

static	void rx_int_proc( unsigned short line );

static	int check_line_activity( unsigned short line );

static	void start_tx( unsigned short line,SEMAPHORE *semid,unsigned short *pstatus );

static	void stop_tx( unsigned short line );

static	void tx_int_proc( unsigned short line );

static	unsigned short  msgxfer(unsigned short fline,unsigned short resplen, LMPDEV *pmod, short rxlength);

static	void init_line_tabs(unsigned short line);

static void    getsegdesc(unsigned short line,LMPDEV *pmod);

static  int getopen(FILE *fp);

static int getnumber(FILE *fp, unsigned short *number);

static void    initplc (LMPDEV  *pmod);

static	void initstats(LMPDEV *pmod);

static	void prepresponses(unsigned short line);

static	int any_responding(unsigned short line);

static	unsigned short getsegment(unsigned short line, unsigned short mod,
			 LMPDEV *pmod, unsigned short segno);

static	unsigned short senddir(unsigned short line, unsigned short mod,
			 LMPDEV *pmod, unsigned short signal,
			 unsigned char *buf, unsigned short olen);

static  int	verify_dirrective_response(RXLINE *rxp, unsigned short line, LMPDEV *pmod,
		unsigned short mod, unsigned short saveseqno,
		unsigned short signal);

static	unsigned short asynevent(unsigned short line, unsigned short mod,
			 LMPDEV *pmod);

static	void makecrc( unsigned char *chkbuf, int len,unsigned char *retbuf);

static	void hexascii(unsigned short val,char *buf);

static	short asciihex(unsigned short *val,char *buf);

static	void dump_mod_table(unsigned short line);

static	void scannsome (int flag);

