/*drvEabplc_proto.h,v 1.1.1.1 1999/08/03 14:42:55 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

static	long 		init ();

void			TRACEON (unsigned short line);

void			TRACEOFF (unsigned short line);

void			RTRACEON (unsigned short line);

void			RTRACEOFf (unsigned short line);

void			TRACELEVEL (unsigned short line, unsigned short level);

int			STOPDRIVER (short ln);

int			STARTDRIVER1 (unsigned short ln, char *inetaddr,
				unsigned short delay, unsigned short etmout);

void 			SETDELAYS (unsigned short line,
				unsigned short tickcount1,
				unsigned short etmout);

void 			MAIN (unsigned short line, unsigned char *mode,
				unsigned short delay, unsigned short etmout);

static	void		on_line (unsigned short line,unsigned short mod);

static	void		mark_not_valid (ABPLC  *pmod);

static	void		scan_plc (ABPLC *pmod, unsigned short line,
				unsigned short mod);

static	void		checkoutputs (unsigned short line);

int			AIDRIVER (char *pointname, unsigned short link,
				unsigned short adapter, unsigned short card,
				unsigned short signal, unsigned short *pvalue,
				unsigned short conversion,
				unsigned char *resname);

int			AODRIVER (char *pointname, unsigned short link,
				unsigned short adapter, unsigned short card,
				unsigned short signal, double dval, 
				unsigned short value, unsigned short conversion,
 				unsigned char *resname);

int			AOREAD (char *pointname, unsigned short link,
				unsigned short adapter, unsigned short card,
				unsigned short signal, unsigned short *pvalue,
				unsigned short conversion,
				unsigned char *resname);

int			BIDRIVER (char *pointname, unsigned short link,
				unsigned short adapter, unsigned short card,
				unsigned short signal, unsigned long mask,
				unsigned long *pvalue, unsigned char *resname);

int			BODRIVER (char *pointname, unsigned short link,
				unsigned short adapter, unsigned short card,
				unsigned short signal, unsigned long value,
				unsigned long mask, unsigned char *resname);

int			BOREAD (char *pointname, unsigned short link,
				unsigned short adapter, unsigned short card,
				unsigned short signal, unsigned long *pvalue,
				unsigned long mask, unsigned char *resname);
	
static	void		register_resource (unsigned short link,ABPLC *pmod,
				unsigned char *resname,
				unsigned char *pointname);

static	void		outqueinit (unsigned short line);

static	OUTQENT		*ogetemptyp (unsigned short line);

static	void		omarkfull (unsigned short line);

static	OUTQENT		*ogetnextp (unsigned short line);

static	void		oreleasefull (unsigned short line);

static	void		link_status (unsigned short line);

static	int		allocate_plc (unsigned short line, unsigned short plc);

static	void		start_rx (unsigned short line, SEMAPHORE *semid,
				unsigned short *pstatus );

static	void		stop_rx (unsigned short line);

static	void		rx_int_proc (unsigned short line);

static	void		start_tx (unsigned short line, SEMAPHORE *semid,
				unsigned short *pstatus);

static	void		stop_tx (unsigned short line);

static	void		tx_int_proc (unsigned short line);

static	void		setrequested (ABPLC *pmod, unsigned short card,
				unsigned short blkix);

static	unsigned short	sendtestmsg (unsigned short line);

static	unsigned short	readabouts (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short group,
				unsigned short numgroups);

static	unsigned short	readabins (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short group,
				unsigned short numgroups);

static	unsigned short	readabstats (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short group,
				unsigned short numgroups);

static	unsigned short	readabbits (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short group,
				unsigned short numgroups);

static	unsigned short	readabints (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short fileno,
				ABINTSS abfints[], unsigned short group,
				unsigned short numgroups);

static	unsigned short	readabtimers (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short group,
				unsigned short numgroups);

static	unsigned short	readabcntrs (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short group,
				unsigned short numgroups);

static	unsigned short	readabcntrls (unsigned short line, unsigned short mod,
				ABPLC *pmod,unsigned short group,
				unsigned short numgroups);

static	unsigned short	setaouts (unsigned short line, unsigned short mod,
				ABPLC *pmod, unsigned short card,
				unsigned short signal, unsigned short val);

static	unsigned short	setbouts (unsigned short line, unsigned short mod,
				ABPLC *pmod, unsigned short card,
				unsigned short signal,
				long mask, long val);

static	void		abheader (unsigned char *buf, unsigned short *ix,
				unsigned short *checksum,
				ABPLC *pmod, unsigned short line,
				unsigned short mod, unsigned short fnc,
				unsigned short pktnttans, unsigned short pkt,
				unsigned short ttrans);

static	void		ablogaddr (ABPLC *pmod, unsigned char *buf,
				unsigned short *ix, unsigned short *checksum,
				unsigned short file, unsigned short element,
				unsigned short subelement);

static	void		updatesum (unsigned short *checksum, unsigned char cval);

static	void		abcrc (unsigned char *buf, unsigned short *ix,
				unsigned short checksum );

static	unsigned short	msgxfer (unsigned short fline, unsigned short resplen,
			ABPLC *pmod);

static	void		init_line_tabs (unsigned short line);

static	void		full_mod_init (unsigned short line, unsigned short mod);

static	void		initstats (ABPLC *pmod);

static	int		getdataresp (unsigned short line, unsigned short mod,
			ABPLC *pmod, unsigned char *retbuf, int *pcnt);

static	void		makecrc (unsigned char *chkbuf, int len,
			unsigned char *retbuf);

static	void		hexascii (unsigned short val, unsigned char *buf);

static	short		asciihex (unsigned short *val, unsigned char *buf);

static	void		dump_mod_table (unsigned short line);

static	int		rangeok (unsigned short link, unsigned short adapter,
				unsigned short card, unsigned short signal);

static	int		fetchvalue (ABPLC *pmod, unsigned short card,
				unsigned short blkix, unsigned short elemix,
				unsigned short subelement,
				unsigned short *pvalue);

static	int		sendack (unsigned short line, ABPLC *pmod);

static	int		abgetdata (unsigned short fline, unsigned short mod,
				ABPLC *pmod, unsigned short file,
				unsigned short element, unsigned short cnt,
				unsigned char *retbuf);

void			abplc_dump (unsigned short line, unsigned short addr);

void			abplc_clear (unsigned short line, unsigned short addr);


