#ifndef	alcfgnewitemdialogclassHXX
#define	alcfgnewitemdialogclassHXX

//** NEW ITEM DIALOG *******************************************************************

class alCfgNewItemOkButtonClass;
class alCfgNewItemCancelButtonClass;

#define	NEW_GROUP_FLAG		1
#define	NEW_PRINTER_FLAG	2

class	alCfgNewItemDialogClass : public vdialog
{
    // pointer to mainDialog
    alCfgMainDialogClass	*mainDialog;
    vstr			*title;
    int				newItemType;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(alCfgNewItemDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(alCfgNewItemDialogClass, vdialog);

    // vwindow overide
    void ObserveWindow (vevent *event);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    void newOpen ( alCfgMainDialogClass *mainDialog, int flag);

    filteredTextitem			*newItem;
    alCfgNewItemOkButtonClass		*okButton;
    alCfgNewItemCancelButtonClass	*cancelButton;

    // function to handle mainDialog
    alCfgMainDialogClass *getMainDialog (void)
	{ return (mainDialog); }

    // function to handle newItemType
    int getItemType (void)
	{ return (newItemType); }

};


// *** NEW ITEM DIALOG BUTTON CLASSES *********************************

class alCfgNewItemOkButtonClass : public vbutton
{
    alCfgNewItemDialogClass	*newDialog;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION (alCfgNewItemOkButtonClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS (alCfgNewItemOkButtonClass, vbutton);

    // virtual member function override
    void ObserveDialogItem (vevent *event);

    // handle the pointer to the newDialog
    void storeNewDialog (alCfgNewItemDialogClass *cd) 
	{ newDialog = cd; }
    alCfgNewItemDialogClass *getNewDialog (void) 
	{ return (newDialog); }
};


class alCfgNewItemCancelButtonClass : public vbutton
{
    alCfgNewItemDialogClass	*newDialog;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION (alCfgNewItemCancelButtonClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS (alCfgNewItemCancelButtonClass, vbutton);

    // virtual member function override
    void ObserveDialogItem (vevent *event);

    // handle the pointer to the newDialog
    void storeNewDialog (alCfgNewItemDialogClass *cd) 
	{ newDialog = cd; }
};

#endif	alcfgnewitemdialogclassHXX
