/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/



/*
	Field definition header file for pat.dbf.dbf
*/

FIELD4INFO	patFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},	/* NAME */
	{"REFERENCE",	'C',	28,	0},	/* INP	*/
	{"CLOSEDLOOP",	'L',	1,	0},	/* OMSL	*/
	{"BOARDTYPE",	'C',	25,	0},
	{"RLBOARD",	'C',	25,	0},	/* DTYR */
	{"FBBOARD",	'C',	25,	0},	/* DTYF */
	{"POSOUTREF",	'C',	28,	0},	/* POUT */
	{"POSOFFVAL",	'L',	1,	0},	/* POIV */
	{"NEGOUTREF",	'C',	28,	0},	/* NOUT */
	{"NEGOFFVAL",	'L',	1,	0},	/* NOIV */
	{"CLAMPHIGH",	'N',	11,	4},	/* CLMH */
	{"CLAMPLOW",	'N',	11,	4},	/* CLML */
	{"DISPHIGH",	'N',	11,	4},	/* HOPR */
	{"DISPLOW",	'N',	11,	4},	/* LOPR */
	{"PRECISION",	'N',	1,	0},	/* PREC */
	{"HIHILIMIT",	'N',	11,	4},	/* HIHI */
	{"HIGHLIMIT",	'N',	11,	4},	/* HIGH */
	{"LOWLIMIT",	'N',	11,	4},	/* LOW	*/
	{"LOLOLIMIT",	'N',	11,	4},	/* LOLO */
	{"CLHISEVER",	'C',	13,	0},	/* CHSV */
	{"CLLOSEVER",	'C',	13,	0},	/* CLSV */
	{"HIHISEVER",	'C',	13,	0},	/* HHSV */
	{"HIGHSEVER",	'C',	13,	0},	/* HSV	*/
	{"LOWSEVER",	'C',	13,	0},	/* LSV	*/
	{"LOLOSEVER",	'C',	13,	0},	/* LLSV	*/
	{"ALMDEADBND",	'N',	11,	4},	/* HYST	*/
	{"MONDEADBND",	'N',	11,	4},	/* MDEL	*/
	{"ARCDEADBND",	'N',	11,	4},	/* ADEL */
	{"RLINPUT",	'C',	28,	0},	/* RLIN	*/
	{"SETPOINT",	'C',	28,	0},	/* STPL */
	{"POSROCLIM",	'N',	11,	4},	/* PRCL	*/
	{"NEGROCLIM",	'N',	11,	4},	/* NRCL	*/
	{"STROKETIME",	'N',	11,	4},	/* STIM */
	{"GAP",		'N',	11,	4},	/* GAP	*/
	{"FLNK",	'C',	28,	0},	/* FLNK	*/
	{"RLINVERT",	'L',	1,	0},	/* RLIV */
	{"INITSETPT",	'N',	11,	4},	/* ISTP	*/
	{"IRHIGH",	'N',	11,	4},	/* IRHI	*/
	{"IRLOW",	'N',	11,	4},	/* IRLO	*/
	{"INSTDEV",	'N',	11,	4},	/* IDEV	*/
	{0,0,0,0}
	};

T4TAG_INFO	patTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
