/*pvmap.h,v 1.1.1.1 1999/08/03 14:42:20 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for pvmap.dbf
*/

FIELD4INFO	pvmapFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"TYPE",	'C',	15,	0},
	{"DESC",	'C',	41,	0},
	{"LOCATION",	'C',	16,	0},
	{"MERGE",	'C',	16,	0},
	{"STYPE",	'C',	10,	0},
	{"SRATE",	'N',	4,	1},
	{"PHASE",	'N',	3,	0},
	{"EVENT",	'N',	4,	0},
	{"ONSCAN",	'L',	1,	0},
	{"ONALARM",	'L',	1,	0},
	{"TAGDEPTH",	'N',	2,	0},
	{"FLNK",	'C',	28,	0},
	{"REV",		'N',	2,	0},
	{"ALARMGROUP",	'C',	16,	0},
	{"PRIVGROUP",	'C',	16,	0},
	{"DEVTYPE",	'C',	23,	0},
	{"SDISABLE",	'C',	28,	0},
	{"DISVALUE",	'N',	3,	0},
	{"ADISABLE",	'C',	28,	0},
	{"RESRCNAME",	'C',	16,	0},
	{"ALARMDELAY",	'N',	4,	0},
	{"IOC1DNLD",	'L',	1,	0},
	{"IOC2DNLD",	'L',	1,	0},
	{"CHECKSUM",	'C',	4,	0},
	{"TIMESTAMP",	'C',	10,	0},
	{"LOAD1FLAG",	'L',	1,	0},
	{"LOAD2FLAG",	'L',	1,	0},
	{"DELETEFLAG",	'L',	1,	0},
	{"IMPORTNODE",	'C',	16,	0},
	{"IMPORTDATE",	'C',	10,	0},
	{"IMPDELFLAG",	'L',	1,	0},
	{"ONTREND",	'L',	1,	0},
	{"INFOTAG",	'L',	1,	0},
	{0,0,0,0}
	};

T4TAG_INFO	pvmapTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{"POINTNAME",	"NAME",	0,	0,	0},
	{"RESNAMEKEY",	"RESRCNAME+NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
