/*valve.h,v 1.1.1.1 1999/08/03 14:42:22 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for valve.dbf
*/

F4FIELD_INFO	valveFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"MODE",	'C',	10,	0},
	{"ES_ACTION",	'C',	10,	0},
	{"OPEN",	'C',	16,	0},
	{"CLOSED",	'C',	16,	0},
	{"OPENING",	'C',	16,	0},
	{"CLOSING",	'C',	16,	0},
	{"FAULT",	'C',	16,	0},
	{"UNKNOWN",	'C',	16,	0},
	{"OPENCMD",	'C',	16,	0},
	{"CLOSECMD",	'C',	16,	0},
	{"REVERSECMD",	'C',	16,	0},
	{"JOPENCMD",	'C',	16,	0},
	{"JCLOSECMD",	'C',	16,	0},
	{"SETPOSCMD",	'C',	16,	0},
	{"REMOTESTR",	'C',	16,	0},
	{"LOCALSTR",	'C',	16,	0},
	{"ENABLOCTRK",	'L',	1,	0},
	{"ENABLRNMOD",	'L',	1,	0},
	{"JOPENTIME",	'N',	10,	3},
	{"JCLOSETIME",	'N',	10,	3},
	{"DRIVEHIGH",	'N',	10,	3},
	{"DRIVELOW",	'N',	10,	3},
	{"DISPHIGH",	'N',	10,	3},
	{"DISPLOW",	'N',	10,	3},
	{"OPENTIME",	'N',	10,	3},
	{"OPNDEADBND",	'N',	10,	3},
	{"OPENSEVRTY",	'C',	8,	0},
	{"CLOSETIME",	'N',	10,	3},
	{"CLSDEADBND",	'N',	10,	3},
	{"CLOSESEV",	'C',	8,	0},
	{"MAXLIMTORQ",	'N',	10,	3},
	{"LIMTRQSEV",	'C',	8,	0},
	{"ALARMONMAN",	'L',	1,	0},
	{"MANUALSEV",	'C',	8,	0},
	{"ALARMAUTO",	'L',	1,	0},
	{"AUTOSEVRTY",	'C',	8,	0},
	{0,0,0,0}
	};

T4TAG_INFO	valveTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
