#ifndef vuaodialogclassHXX
#define	vuaodialogclassHXX

class	vuAoContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuAoContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuAoContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuAoDialogClass

    vuBoardTypeMenuClass	*boardType;
    filteredTextitem		*line;
    filteredTextitem		*addr;
    filteredTextitem		*card;
    filteredTextitem		*signal;
    vuConversionMenuClass	*convertType;
    vuPvNameButtonClass	*valueLocButton;
    vuFilteredTextitem	*valueLoc;
    vuPvNameButtonClass	*outputButton;
    vuFilteredTextitem	*output;
    filteredTextitem	*constantValue;
    vuCheckBoxClass	*closedLoop;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuCheckBoxClass	*incremental;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*alarmDeadband;
    filteredTextitem	*rampRate;
    filteredTextitem	*outputGap;
    filteredTextitem	*precision;
    filteredTextitem	*eguTag;
    filteredTextitem	*irLow;
    filteredTextitem	*irHigh;
    filteredTextitem	*eguLow;
    filteredTextitem	*eguHigh;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
    filteredTextitem	*clampLow;
    filteredTextitem	*clampHigh;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
    vuFilteredTextitem	*alarmGroup;
    filteredTextitem	*readback;
    filteredTextitem		*hihiLimit;
    vuChoiceGblMenuClass	*hihiSeverity;
    filteredTextitem		*highLimit;
    vuChoiceGblMenuClass	*highSeverity;
    filteredTextitem		*lowLimit;
    vuChoiceGblMenuClass	*lowSeverity;
    filteredTextitem		*loloLimit;
    vuChoiceGblMenuClass	*loloSeverity;
};


//*** AO DIALOG CLASS ***************************************************

class	vuAoDialogClass : public vuCommonDialogClass
{
    vuAoContainerClass	*aoContainer;
    vstr		*aoTitle;
public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuAoDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuAoDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vuaodialogclassHXX

