#ifndef vudatamovedialogclassHXX
#define	vudatamovedialogclassHXX

class	vuDatamoveContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuDatamoveContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuDatamoveContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuDatamoveDialogClass

    vuPvNameButtonClass	*inChannelButton;
    vuFilteredTextitem	*inChannel;
    vuPvNameButtonClass	*outChannelButton;
    vuFilteredTextitem	*outChannel;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*manual;
};


class	vuDatamoveDialogClass : public vuCommonDialogClass
{
    vuDatamoveContainerClass	*datamoveContainer;
    vstr			*datamoveTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuDatamoveDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuDatamoveDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vudatamovedialogclassHXX
