#ifndef vufanoutdialogclassHXX
#define	vufanoutdialogclassHXX

class	vuFanoutContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuFanoutContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuFanoutContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuFanoutDialogClass

    vuPvNameButtonClass	*pv1Button;
    vuFilteredTextitem	*pv1;
    vuPvNameButtonClass	*pv2Button;
    vuFilteredTextitem	*pv2;
    vuPvNameButtonClass	*pv3Button;
    vuFilteredTextitem	*pv3;
    vuPvNameButtonClass	*pv4Button;
    vuFilteredTextitem	*pv4;
    vuPvNameButtonClass	*pv5Button;
    vuFilteredTextitem	*pv5;
    vuPvNameButtonClass	*pv6Button;
    vuFilteredTextitem	*pv6;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*specifySelection;
    filteredTextitem	*selectionNumber;
};


class	vuFanoutDialogClass : public vuCommonDialogClass
{
    vuFanoutContainerClass	*fanoutContainer;
    vstr			*fanoutTitle;
public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuFanoutDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuFanoutDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vufanoutdialogclassHXX
