#ifndef vufinddialogclassHXX
#define vufinddialogclassHXX

// *** FIND DIALOG CLASS ***************************************************

class  vuFindDialogClass : public vdialog
{

public:

    // macros for standard versions of the
    vkindTYPED_FULL_DECLARATION(vuFindDialogClass);

    // macros for standard constructors and desstructors
    vloadableINLINE_CONSTRUCTORS(vuFindDialogClass, vdialog);	

    // override to load dialog
    void LoadInit(vresource res);		

    // override 
    void Destroy ();

    // function to set OK button text
    virtual void vuFindOpen(vchar *label,vuMainDialogClass *mainDialog,int multiSelect);

    // function to remove a name from a list
    virtual void vuRemovePvName (vchar *pvName);

    // Called from find button
    void vuFindList(void);

protected:

    vliststr *foundList;
    vuMainDialogClass *mainDialog;
    vuDatabaseClass *db;
    int numInList;

private:

    vlistview		*typeList;
    vlistview		*resourceList;
    vlistview		*iocList;
    vcontainer		*filterContainer;
    vcontainer		*ioContainer;
    vcontrolToggle	*ioToggle;
    vcontrolToggle	*iocToggle;
    vcontrolToggle	*pvToggle;
    vcontrolToggle	*descToggle;
    vcontrolToggle	*alarmGroupToggle;
    vcontrolToggle	*protGroupToggle;
    vcontrolToggle	*locationToggle;
    vcontrolToggle	*trendToggle;
    vcontrolToggle	*resToggle;
    vcontrolToggle	*typeToggle;
    filteredTextitem	*ioLine;
    filteredTextitem	*ioAddress;
    filteredTextitem	*ioCard;
    filteredTextitem	*ioSignal;
    vtextitem		*filterString;

public:

    DB_FIELD_PTR	pType,pRes,pName,pDesc,pAlarm,pProt;
    DB_FIELD_PTR	pLoc,pIoc1,pIoc2,pMerge,pTrend, pDev;
	int Status;			// vFALSE for Dismiss...vTrue for OK

    // function to handle foundList
    vliststr *getFoundList(void){return(foundList);}
    void setFoundList(vliststr *list){foundList = list;}
    // function to handle numInList
    int getNumInList(void){return (numInList);}
    void setNumInList(int num){numInList = num;}
    // function to handle mainDialog
    vuMainDialogClass *getMainDialog(void){return(mainDialog);}
	// function to query dialog status
	int WasDismissed(void){return(Status);}
};

#endif vufinddialogclassHXX
