#ifndef vuonlineadddialogclassHXX
#define vuonlineadddialogclassHXX

class vuOnlineAddDownLoadButtonClass;
class vuOnlineAddDismissButtonClass;
class vuOnlineAddListClass;

// *** ONLINE ADD DIALOG CLASS ***************************************************

class  vuOnlineAddDialogClass : public vdialog
{
    vuMainDialogClass	*mainDialog;

public:

    // macros for standard versions of the
    vkindTYPED_FULL_DECLARATION(vuOnlineAddDialogClass);

    // macros for standard constructors and desstructors
    vloadableINLINE_CONSTRUCTORS(vuOnlineAddDialogClass, vdialog);	

    // override to load dialog
    void LoadInit(vresource res);		

    // vwindow overide
    void ObserveWindow (vevent *event);

    // override 
    void Destroy ();

    // override to set OK button text
    void vuOnlineAddOpen(vuMainDialogClass *mainDialog);	

    vuOnlineAddListClass		*iocList;
    vuOnlineAddDownloadButtonClass	*downloadButton;
    vuOnlineAddDismissButtonClass	*dismissButton;
};


// *** ONLINE ADD IOC LIST CLASS ***************************************************

class vuOnlineAddListClass : public vlistview
{
    vuOnlineAddDialogClass	*onlineaddDialog;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuOnlineAddListClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuOnlineAddListClass, vlistview);

    // override
    void ObserveSelect (int state);

    // functions to handle onlineaddDialog
    void setOnlineAddDialog (vuOnlineAddDialogClass *dialog)
	{ onlineaddDialog = dialog; }
};


// *** ONLINE ADD DOWNLOAD BUTTON CLASS ***************************************************

class vuOnlineAddDownloadButtonClass : public vbutton
{
    vuOnlineAddDialogClass	*onlineaddDialog;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuOnlineAddDownloadButtonClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuOnlineAddDownloadButtonClass, vbutton);

    // override
    void ObserveDialogItem (vevent *event);

    // functions to handle onlineaddDialog
    void setOnlineAddDialog (vuOnlineAddDialogClass *dialog)
	{ onlineaddDialog = dialog; }
};


// *** ONLINE ADD DISMISS BUTTON CLASS **************************************************

class vuOnlineAddDismissButtonClass : public vbutton
{
    vuOnlineAddDialogClass	*onlineaddDialog;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuOnlineAddDismissButtonClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuOnlineAddDismissButtonClass, vbutton);

    // override
    void ObserveDialogItem (vevent *event);

    // functions to handle onlineaddDialog
    void setOnlineAddDialog (vuOnlineAddDialogClass *dialog)
	{ onlineaddDialog = dialog; }
};

#endif vuonlineadddialogclassHXX
