#ifndef vuonlinedeletedialogclassHXX
#define vuonlinedeletedialogclassHXX

class vuOnlineDeleteOkButtonClass;
class vuOnlineDeleteDismissButtonClass;

// *** ONLINE DELETE DIALOG CLASS ***************************************************

class  vuOnlineDeleteDialogClass : public vdialog
{
    vuMainDialogClass	*mainDialog;

public:

    // macros for standard versions of the
    vkindTYPED_FULL_DECLARATION(vuOnlineDeleteDialogClass);

    // macros for standard constructors and desstructors
    vloadableINLINE_CONSTRUCTORS(vuOnlineDeleteDialogClass, vdialog);	

    // override to load dialog
    void LoadInit(vresource res);		

    // vwindow overide
    void ObserveWindow (vevent *event);

    // override 
    void Destroy ();

    // override to set OK button text
    void vuOnlineDeleteOpen(vuMainDialogClass *mainDialog);	

    filteredTextitem			*pointName;
    vuOnlineDeleteOkButtonClass		*okButton;
    vuOnlineDeleteDismissButtonClass	*dismissButton;
};


// *** ONLINE DELETE OK BUTTON CLASS **************************************************

class vuOnlineDeleteOkButtonClass : public vbutton
{
    vuOnlineDeleteDialogClass	*onlinedeleteDialog;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuOnlineDeleteOkButtonClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuOnlineDeleteOkButtonClass, vbutton);

    // override
    void ObserveDialogItem (vevent *event);

    // functions to handle onlinedeleteDialog
    void setOnlineDeleteDialog (vuOnlineDeleteDialogClass *dialog)
	{ onlinedeleteDialog = dialog; }
};


// *** ONLINE DELETE DISMISS BUTTON CLASS ********************************************

class vuOnlineDeleteDismissButtonClass : public vbutton
{
    vuOnlineDeleteDialogClass	*onlinedeleteDialog;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuOnlineDeleteDismissButtonClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuOnlineDeleteDismissButtonClass, vbutton);

    // override
    void ObserveDialogItem (vevent *event);

    // functions to handle onlinedeleteDialog
    void setOnlineDeleteDialog (vuOnlineDeleteDialogClass *dialog)
	{ onlinedeleteDialog = dialog; }
};

#endif vuonlinedeletedialogclassHXX
