#ifndef vustatedialogclassHXX
#define	vustatedialogclassHXX

class	vuStateSignalMenuClass;

class	vuStateContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuStateContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuStateContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuStateDialogClass

    filteredTextitem	*val;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuFilteredTextitem	*alarmGroup;
};


class	vuStateDialogClass : public vuCommonDialogClass
{
    vuStateContainerClass	*stateContainer;
    vstr			*stateTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuStateDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuStateDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vustatedialogclassHXX
