/* dbScan.h */

/* tasks and subroutines to scan the database */

void periodicScanTask (void);
void ioEventTask (void);
void eventTask (void);
void wdScanTask (void);
void callbackTask (void);
/* Routine which places requests into callback queue*/
void scan_init (void);
void remove_scan_tasks (short tasks);
void build_scan_lists (short lists);
void initialize_ring_buffers (short lists);
void start_scan_tasks (short tasks);
void add_to_scan_list (DBADDR *paddr, short lists);
int delete_from_scan_list (DBADDR *paddr);
void print_list (void);
void print_io_event_lists (void);
int print_event_lists (void);
void io_scanner_wakeup (short io_type,
			short card_type,
			short card_number);
void post_event (short event_number);
void stallScanTasks (void);
void resumeScanTasks (void);
