/*drvcommon.h,v 1.1.1.1 1999/08/03 14:42:53 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*
**	File:	drvcommon.h
**	Auth:	Walter E. Palmer 							
**
**	This file contains the data structures used by the Common I/O driver.		
**
*/

#define TRUE	1
#define FALSE	0
#define NULLP	0
#define CR	0x0d

/*	maximum number of lines in Tate IOC 	*/
#define		IOCLINES	32

#define         RESNAMELEN      16      /* length of a resource name  */

/* task definitions */

#define COM_STACK		8000   /* Stack size              */
#define	COM_PRIORITY		152    /* default priority        */
#define	COM_TASK_OPTIONS	8      /* Floating point          */


/*
** Mutual-Exclusion Control for diagnostic/data radio channel sharing
**
*/

#define		MUXTIMEOUT	60*30	/* 16.67 ms ticks (60Hz): 30 seconds 	*/


/*	End of File:	drvCom.h */
