/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


#ifndef _UTILS_H_
#define	_UTILS_H_

#include "trendDefs.h"

extern	int	priorityOf (int);
extern	void	stringCopy (char *, char *, int);
extern  void    stripBlanks (char *);
extern  char    *strError (int);
extern  time_t  prevMidnite (time_t);
extern  time_t  recordStartTime (TrendPtr, time_t);
extern  time_t  recordStartTimeA (int, time_t);
extern  int     bucketIndex (TrendPtr, time_t);
extern  int     bucketIndexA (time_t, int, time_t);
extern  int     numBuckets (TrendPtr, time_t);
extern  int     bucketStartTime (TrendPtr, int);
extern  int     bucketStartTimeA (time_t, int, int);
extern  int     secondsIntoBucket (TrendPtr, time_t);
extern  int     secondsIntoBucketA (time_t, int, time_t);
extern  int     getRecordsPerDay (int);
extern  char    *gmTime (time_t);
extern  int     letter2status (int);
extern  int     status2letter (int);
extern  int     letter2severity (int);
extern  int     severity2letter (int);
extern  int     methodString2Int (char *);
extern  char    *int2methodString (int);

#endif


