/*op_common_macros.h,v 1.1.1.1 1999/08/03 14:44:04 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*
****************************************************************
* File:  op_common_macros.h
*
* These macros are common to both UNIX and VXWORKS code versions.
* They control the printout of various data and event messages 
* to help verify functional operation.
****************************************************************
* Modification History
* version   date        author      comments
*--------------------------------------------------------------
* 1.0       07/23/90    Gale Slentz Initial version for printouts
*
****************************************************************
*/

#define gsdl_macro_show_llist(A, B) \
	if(SHOW_LLIST)\
		printf(A, B)

#define gsdl_macro_print_llist(A) \
	if(SHOW_LLIST)\
	gsdl_print_llist(A)

#define gsdl_macro_show_table(A, B, C) \
	if (SHOW_TABLE) \
		gsdl_print_com_table(A, B, C)

#define gsdl_macro_show_events(A, B) \
	if (SHOW_EVENTS) \
		printf(A, B)


