/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/****************************************************************/
/*								*/
/*   Definitions for mapping 32 bit values into 64 bitpointers  */
/*								*/
/*								*/
/*	Author: Grant Irani					*/
/*								*/
/****************************************************************/

#ifndef POINTER64
#define POINTER64
#endif
#ifndef dmPointer64fromToken

/* Must define MAXTOKENS to be a power of 2 */
#define MAXTOKENS 32768

#define dmPointer64fromToken(tok)	(((unsigned)(tok-500000)<MAXTOKENS)?dmTokenPointers[tok-500000]:NULL)

#define TokenFromPointer64 USEdmTokenSupport

extern  int   dmTokenFromPointer64 (void *);
extern  void  dmTokenFree (void *);
extern  void  dmTokenFlush (void);
extern	void *dmTokenPointers[];
#endif
