/*
    Xstubs to replace malloc, etc... in XDK programs.
*/
extern void * Xmalloc(unsigned int);
extern void * Xrealloc(void *, unsigned);
extern void   Xfree(void *);
extern void * Xcalloc(unsigned int, unsigned int);

void *malloc (int cnt)
{
    return Xmalloc (cnt);
}

void *realloc (void *memBlock, int cnt)
{
    return Xrealloc (memBlock, cnt);
}

void *calloc (int num, int size )
{
    return Xcalloc (num, size);
}

void free (void *memBlock)
{
    Xfree (memBlock);
}