/*************************************************************************
	phase2.h - defs for phase2 module
***************************************************************************/

void phase2 (void);
void gen_preamble (void);
void gen_flag_defn (int flag, char *defn_name);
void reconcile_variables (void);
void connect_variable (Expr *ep);
void reconcile_states (void);
Expr *find_state (char *name, Expr *sp);
void gen_var_decl (void);
void gen_symbol_table (void);
void gen_defn_c_code (void);
void gen_global_c_code (void);
int db_chan_count (void);
void assign_ef_bits (void);
void assign_delay_ids (void);
void assign_next_delay_id (Expr *ep, int *delay_id);
void traverseExprTree (Expr *ep,    /* ptr to start of expression */
		       int type,    /* to search for */
		       char *value, /* with optional matching value */
		       void (*funcp)(),	/* function to call */
		       void *argp); /* ptr to argument to pass on to function */
