/****
*
*	File name :		compare.c
*	Author :		Steve Johnson
*	Creation date :	December 28, 1985
*
*	Copyright (c) 1985,1999 Sigma Six Corporation
*
*	Provides the following entry points:
*
*		case_compare
*
*	compares two strings ignoring case
*
****/

#include <sscommon.h>

/****
*
****/

int case_compare (char *token1, char *token2)
{
	while (*token1) {
		if (TOUPPER (*token1) != TOUPPER (*token2)) {
			return FALSE;
		}
		++token1;
		++token2;
	}
	return (*token1 == *token2);
}

