/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

#include  <stdio.h>

#define   PVNAME_SIZE     28

struct  gnode {
	char   parent[PVNAME_SIZE];
	char   child[PVNAME_SIZE];
	struct gnode  *next;
	struct gnode  *prev;
};
static struct gnode  *grouphead, *grouptail,
		     *subgrouphead, *subgrouptail,
		     *agrouphead, *agrouptail;
/*************************************************************************************/
void init_list()
{
    grouphead = NULL;
    grouptail = NULL;
    subgrouphead = NULL;
    subgrouptail = NULL;
    subgrouphead = NULL;
    subgrouptail = NULL;
}

/***********************************************************************************/
struct gnode *construct(parent, child)
		

char    parent[PVNAME_SIZE];
char    child[PVNAME_SIZE];

{
   struct gnode *node = (struct gnode *)malloc(sizeof(struct gnode));

   strcpy(node->parent, parent);
   strcpy(node->child, child);
   node->prev = NULL;	      
   node->next = NULL;	      

   return node;
}


/***********************************************************************************/
int get_node_data(node, parent, child)

struct gnode   *node;
char           parent[PVNAME_SIZE];
char           child[PVNAME_SIZE];

{

if (node != NULL) {

   strcpy(parent, node->parent);
   strcpy(child, node->child);

   return 1;
}

   return 0;
}


/************************************************************************************/
void buildAGroups(node)
struct gnode *node;
{
struct   gnode   *current;

    if (node != NULL){

	   if (head == NULL){ 
	       	head = node;
		tail = node;
           }
           else {
		/* insert at tail */
		tail->next = node;
		node->prev = tail;
		tail = node;
    	}
    }
}

/************************************************************************************/
struct gnode *remove_gnode(node)
struct gnode *node;
{

	       if (node == head) {
		   if (head == tail){
		       head = NULL;
		       tail = NULL;
                   }
		   else {
		       head = node->next;
		       head->prev = NULL;
		       node->next = NULL;
                   }
               }
	       else if (node == tail) {
		   tail = node->prev;
		   tail->next = NULL;
		   node->prev = NULL;
               }
	       else if ( (node != NULL) &&
			 (node->next != NULL) &&
			 (node->prev != NULL) ){
		  node->prev->next = node->next;
		  node->next->prev = node->prev;
		  node->next = NULL;
		  node->prev = NULL;
               }
     return node;
};
