
/* ddcRecord.h */
#ifndef INCddcRecordh
#define INCddcRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct ddcRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of ddc specific fields */ 
	unsigned short	val;		/*  */
	unsigned short	omod;		/*  */
	struct link	out;		/*  */
	struct link	spin;		/*  */
	struct link	dscd;		/*  */
	struct link	prcd;		/*  */
	struct link	rsln;		/*  */
	struct link	flnk;		/*  */
	unsigned short	ow01;		/*  */
	unsigned short	ow02;		/*  */
	unsigned short	ow03;		/*  */
	unsigned short	ow04;		/*  */
	unsigned short	ow05;		/*  */
	unsigned short	ow06;		/*  */
	unsigned short	ow07;		/*  */
	unsigned short	ow08;		/*  */
	unsigned short	ow09;		/*  */
	unsigned short	ow10;		/*  */
	unsigned short	ow11;		/*  */
	unsigned short	ow12;		/*  */
	unsigned short	ow13;		/*  */
	unsigned short	ow14;		/*  */
	unsigned short	ow15;		/*  */
	unsigned short	ow16;		/*  */
	unsigned short	ow17;		/*  */
	unsigned short	ow18;		/*  */
	unsigned short	ow19;		/*  */
	unsigned short	ow20;		/*  */
	unsigned short	ow21;		/*  */
	unsigned short	ow22;		/*  */
	unsigned short	ow23;		/*  */
	unsigned short	ow24;		/*  */
	unsigned short	ow25;		/*  */
	unsigned short	ow26;		/*  */
	unsigned short	ow27;		/*  */
	unsigned short	ow28;		/*  */
	unsigned short	ow29;		/*  */
	unsigned short	ow30;		/*  */
	unsigned short	ow31;		/*  */
	unsigned short	ow32;		/*  */
	char		ts01[12];		/*  */
	char		ts02[12];		/*  */
	char		ts03[12];		/*  */
	char		ts04[12];		/*  */
	char		ts05[12];		/*  */
	char		ts06[12];		/*  */
	char		ts07[12];		/*  */
	char		ts08[12];		/*  */
	char		ts09[12];		/*  */
	char		ts10[12];		/*  */
	char		ts11[12];		/*  */
	char		ts12[12];		/*  */
	char		ts13[12];		/*  */
	char		ts14[12];		/*  */
	char		ts15[12];		/*  */
	char		ts16[12];		/*  */
	char		ts17[12];		/*  */
	char		ts18[12];		/*  */
	char		ts19[12];		/*  */
	char		ts20[12];		/*  */
	char		ts21[12];		/*  */
	char		ts22[12];		/*  */
	char		ts23[12];		/*  */
	char		ts24[12];		/*  */
	char		ts25[12];		/*  */
	char		ts26[12];		/*  */
	char		ts27[12];		/*  */
	char		ts28[12];		/*  */
	char		ts29[12];		/*  */
	char		ts30[12];		/*  */
	char		ts31[12];		/*  */
	char		ts32[12];		/*  */
	unsigned long	ot01;		/*  */
	unsigned long	ot02;		/*  */
	unsigned long	ot03;		/*  */
	unsigned long	ot04;		/*  */
	unsigned long	ot05;		/*  */
	unsigned long	ot06;		/*  */
	unsigned long	ot07;		/*  */
	unsigned long	ot08;		/*  */
	unsigned long	ot09;		/*  */
	unsigned long	ot10;		/*  */
	unsigned long	ot11;		/*  */
	unsigned long	ot12;		/*  */
	unsigned long	ot13;		/*  */
	unsigned long	ot14;		/*  */
	unsigned long	ot15;		/*  */
	unsigned long	ot16;		/*  */
	unsigned long	ot17;		/*  */
	unsigned long	ot18;		/*  */
	unsigned long	ot19;		/*  */
	unsigned long	ot20;		/*  */
	unsigned long	ot21;		/*  */
	unsigned long	ot22;		/*  */
	unsigned long	ot23;		/*  */
	unsigned long	ot24;		/*  */
	unsigned long	ot25;		/*  */
	unsigned long	ot26;		/*  */
	unsigned long	ot27;		/*  */
	unsigned long	ot28;		/*  */
	unsigned long	ot29;		/*  */
	unsigned long	ot30;		/*  */
	unsigned long	ot31;		/*  */
	unsigned long	ot32;		/*  */
	short		numb;		/*  */
	short		numw;		/*  */
	unsigned short	dcty;		/*  */
	unsigned short	tmod;		/*  */
	unsigned short	omsl;		/*  */
	unsigned short	mode;		/*  */
	unsigned short	lted;		/*  */
	short		resv;		/*  */
	unsigned short	frst;		/*  */
	unsigned short	iact;		/*  */
	short		outx;		/*  */
	unsigned short	psin;		/*  */
	unsigned short	shft;		/*  */
	unsigned short	lovl;		/*  */
	unsigned long	rval;		/*  */
	unsigned long	notm;		/*  */
	unsigned long	mask;		/*  */
	unsigned long	ltck;		/*  */
	short		topw;		/*  */
	short		sstp;		/*  */
	short		srst;		/*  */
	short		lrst;		/*  */
	short		mstn;		/*  */
	short		ldtm;		/*  */
	unsigned short	lmod;		/*  */
	short		fpps;		/*  */
	unsigned short	mlst;		/*  */
	unsigned short	alst;		/*  */
	unsigned short	lalm;		/*  */
	short		ob01;		/*  */
	short		ob02;		/*  */
	short		ob03;		/*  */
	short		ob04;		/*  */
	short		ob05;		/*  */
	short		ob06;		/*  */
	short		ob07;		/*  */
	short		ob08;		/*  */
};
#endif

