
/* patRecord.h */
#ifndef INCpatRecordh
#define INCpatRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct patRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of pat specific fields */ 
	double		val;		/*  */
	double		oval;		/*  */
	struct link	pout;		/*  */
	unsigned long	pmsk;		/*  */
	struct link	nout;		/*  */
	unsigned long	nmsk;		/*  */
	struct link	rlin;		/*  */
	unsigned long	rmsk;		/*  */
	struct link	stpl;		/*  */
	struct link	inp;		/*  */
	unsigned short	omsl;		/*  */
	short		prec;		/*  */
	long		rval;		/*  */
	float		prcl;		/*  */
	float		nrcl;		/*  */
	float		stim;		/*  */
	float		gap;		/*  */
	float		clmh;		/*  */
	float		clml;		/*  */
	unsigned short	poiv;		/*  */
	unsigned short	noiv;		/*  */
	float		hopr;		/*  */
	float		lopr;		/*  */
	struct link	flnk;		/*  */
	float		hihi;		/*  */
	float		lolo;		/*  */
	float		high;		/*  */
	float		low;		/*  */
	double		hyst;		/*  */
	double		adel;		/*  */
	double		mdel;		/*  */
	double		pval;		/*  */
	double		lalm;		/*  */
	double		alst;		/*  */
	double		mlst;		/*  */
	unsigned short	hhsv;		/*  */
	unsigned short	llsv;		/*  */
	unsigned short	hsv;		/*  */
	unsigned short	lsv;		/*  */
	unsigned short	chsv;		/*  */
	unsigned short	clsv;		/*  */
	caddr_t	dpvt;		/*  */
	short		fpps;		/*  */
	short		mocb;		/*  */
	long		pcnt;		/*  */
	short		cbfl;		/*  */
	short		ncmd;		/*  */
	unsigned long	rbv;		/*  */
	short		poso;		/*  */
	short		nego;		/*  */
	unsigned short	rliv;		/*  */
	unsigned short	rlvl;		/*  */
	double		eslo;		/*  */
	float		istp;		/*  */
	float		astp;		/*  */
	float		lmsp;		/*  */
	float		lasp;		/*  */
	unsigned long	ct;		/*  */
	float		err;		/*  */
	float		spt;		/*  */
	float		irhi;		/*  */
	float		irlo;		/*  */
	float		roff;		/*  */
	float		idev;		/*  */
	unsigned long	rlrv;		/*  */
	float		irvl;		/*  */
	unsigned long	moft;		/*  */
	unsigned long	mont;		/*  */
	unsigned long	svft;		/*  */
	unsigned long	svnt;		/*  */
	unsigned short	mode;		/*  */
	short		wslv;		/*  */
	unsigned long	itck;		/*  */
	unsigned short	dtyr;		/*  */
	unsigned short	dtyf;		/*  */
	struct dset  *dstr;		/*  */
	struct dset  *dstf;		/*  */
	short		sbct;		/*  */
	short		hlsc;		/*  */
	unsigned short	hand;		/*  */
	unsigned short	lhnd;		/*  */
	unsigned short	hpos;		/*  */
	unsigned short	hneg;		/*  */
	float		sstp;		/*  */
};
#endif

