
/* pumpRecord.h */
#ifndef INCpumpRecordh
#define INCpumpRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct pumpRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of pump specific fields */ 
	double		val;		/*  */
	struct link	rolp;		/*  */
	struct link	ponp;		/*  */
	struct link	pofp;		/*  */
	struct link	tmpp;		/*  */
	struct link	vibp;		/*  */
	struct link	prsp;		/*  */
	struct link	perp;		/*  */
	struct link	rucp;		/*  */
	struct link	flnk;		/*  */
	unsigned short	ttre;		/*  */
	unsigned short	vtre;		/*  */
	unsigned short	ptre;		/*  */
	unsigned short	lten;		/*  */
	unsigned short	lmen;		/*  */
	unsigned short	mode;		/*  */
	char		cmds[18];		/*  */
	char		sstr[18];		/*  */
	char		sstp[18];		/*  */
	short		cstr;		/*  */
	short		cstp;		/*  */
	short		strs;		/*  */
	short		stps;		/*  */
	char		pust[18];		/*  */
	char		swst[18];		/*  */
	short		pasv;		/*  */
	short		swsv;		/*  */
	short		lmod;		/*  */
	double		exon;		/*  */
	double		exof;		/*  */
	float		motm;		/*  */
	short		sadb;		/*  */
	short		stdb;		/*  */
	unsigned short	alma;		/*  */
	unsigned short	stsv;		/*  */
	unsigned short	spvs;		/*  */
	char		ston[18];		/*  */
	char		stof[18];		/*  */
	char		stst[18];		/*  */
	char		stsp[18];		/*  */
	char		stfa[18];		/*  */
	char		swlo[18];		/*  */
	char		swre[18];		/*  */
	char		stmo[18];		/*  */
	short		prrt;		/*  */
	double		ttim;		/*  */
	double		sped;		/*  */
	unsigned long	tcks;		/*  */
	short		estp;		/*  */
	unsigned short	ausv;		/*  */
	unsigned short	masv;		/*  */
	unsigned short	alau;		/*  */
	short		prec;		/*  */
	unsigned short	smod;		/*  */
	short		lcmd;		/*  */
	unsigned short	lsta;		/*  */
	unsigned short tstk[3];		/*  */
	unsigned short	lsev;		/*  */
	char		pcmd[18];		/*  */
	unsigned short	pltr;		/*  */
	double		svrt;		/*  */
	double		acrt;		/*  */
	double		lprt;		/*  */
	unsigned short	lrcf;		/*  */
	unsigned short	lsvl;		/*  */
};
#endif

