
/* udbRecord.h */
#ifndef INCudbRecordh
#define INCudbRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct udbRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of udb specific fields */ 
	unsigned short	val;		/*  */
	unsigned short	lval;		/*  */
	unsigned short	mlst;		/*  */
	char		dnam[16];		/*  */
	short		fpps;		/*  */
	struct link	flnk;		/*  */
	struct link	inp1;		/*  */
	struct link	inp2;		/*  */
	struct link	inp3;		/*  */
	struct link	inp4;		/*  */
	struct link	inp5;		/*  */
	struct link	inp6;		/*  */
	struct link	inp7;		/*  */
	struct link	inp8;		/*  */
	unsigned long	tmfl;		/*  */
	double		inv1;		/*  */
	double		inv2;		/*  */
	double		inv3;		/*  */
	double		inv4;		/*  */
	double		inv5;		/*  */
	double		inv6;		/*  */
	double		inv7;		/*  */
	double		inv8;		/*  */
	unsigned short	iok1;		/*  */
	unsigned short	iok2;		/*  */
	unsigned short	iok3;		/*  */
	unsigned short	iok4;		/*  */
	unsigned short	iok5;		/*  */
	unsigned short	iok6;		/*  */
	unsigned short	iok7;		/*  */
	unsigned short	iok8;		/*  */
	struct link	out1;		/*  */
	struct link	out2;		/*  */
	struct link	out3;		/*  */
	struct link	out4;		/*  */
	struct link	out5;		/*  */
	struct link	out6;		/*  */
	struct link	out7;		/*  */
	struct link	out8;		/*  */
	unsigned short	ook1;		/*  */
	unsigned short	ook2;		/*  */
	unsigned short	ook3;		/*  */
	unsigned short	ook4;		/*  */
	unsigned short	ook5;		/*  */
	unsigned short	ook6;		/*  */
	unsigned short	ook7;		/*  */
	unsigned short	ook8;		/*  */
	double		ovl1;		/*  */
	double		ovl2;		/*  */
	double		ovl3;		/*  */
	double		ovl4;		/*  */
	double		ovl5;		/*  */
	double		ovl6;		/*  */
	double		ovl7;		/*  */
	double		ovl8;		/*  */
	unsigned short	outf;		/*  */
	unsigned short	mode;		/*  */
	unsigned short	imde;		/*  */
	char		mst1[16];		/*  */
	char		mst2[16];		/*  */
	char		mst3[16];		/*  */
	char		mst4[16];		/*  */
	char		mst5[16];		/*  */
	char		mst6[16];		/*  */
	char		mst7[16];		/*  */
	char		mst8[16];		/*  */
	unsigned short	ncmd;		/*  */
	unsigned short	lcmd;		/*  */
	short		cm1m;		/*  */
	short		cm2m;		/*  */
	short		cm3m;		/*  */
	short		cm4m;		/*  */
	short		cm5m;		/*  */
	short		cm6m;		/*  */
	short		cm7m;		/*  */
	short		cm8m;		/*  */
	short		cm1a;		/*  */
	short		cm2a;		/*  */
	short		cm3a;		/*  */
	short		cm4a;		/*  */
	short		cm5a;		/*  */
	short		cm6a;		/*  */
	short		cm7a;		/*  */
	short		cm8a;		/*  */
	char		cst1[16];		/*  */
	char		cst2[16];		/*  */
	char		cst3[16];		/*  */
	char		cst4[16];		/*  */
	char		cst5[16];		/*  */
	char		cst6[16];		/*  */
	char		cst7[16];		/*  */
	char		cst8[16];		/*  */
	unsigned short	func;		/*  */
	unsigned short	ifun;		/*  */
	char		fst1[16];		/*  */
	char		fst2[16];		/*  */
	char		fst3[16];		/*  */
	char		fst4[16];		/*  */
	short		ffl1;		/*  */
	short		ffl2;		/*  */
	short		ffl3;		/*  */
	short		ffl4;		/*  */
	unsigned short	stts;		/*  */
	char		ss01[16];		/*  */
	char		ss02[16];		/*  */
	char		ss03[16];		/*  */
	char		ss04[16];		/*  */
	char		ss05[16];		/*  */
	char		ss06[16];		/*  */
	char		ss07[16];		/*  */
	char		ss08[16];		/*  */
	char		ss09[16];		/*  */
	char		ss10[16];		/*  */
	char		ss11[16];		/*  */
	char		ss12[16];		/*  */
	unsigned short	sv01;		/*  */
	unsigned short	sv02;		/*  */
	unsigned short	sv03;		/*  */
	unsigned short	sv04;		/*  */
	unsigned short	sv05;		/*  */
	unsigned short	sv06;		/*  */
	unsigned short	sv07;		/*  */
	unsigned short	sv08;		/*  */
	unsigned short	sv09;		/*  */
	unsigned short	sv10;		/*  */
	unsigned short	sv11;		/*  */
	unsigned short	sv12;		/*  */
	unsigned short	cosv;		/*  */
	unsigned short	unsv;		/*  */
	unsigned short	ck1;		/*  */
	unsigned short	ck2;		/*  */
	unsigned short	ck3;		/*  */
	unsigned short	ck4;		/*  */
	unsigned short	ck5;		/*  */
	unsigned short	ck6;		/*  */
	unsigned short	ck7;		/*  */
	unsigned short	ck8;		/*  */
	float		n01;		/*  */
	float		n02;		/*  */
	float		n03;		/*  */
	float		n04;		/*  */
	float		n05;		/*  */
	float		n06;		/*  */
	float		n07;		/*  */
	float		n08;		/*  */
	float		n09;		/*  */
	float		n10;		/*  */
	float		n11;		/*  */
	float		n12;		/*  */
	unsigned short	lalm;		/*  */
	short		fpas;		/*  */
	double		d01;		/*  */
	double		d02;		/*  */
	double		d03;		/*  */
	double		d04;		/*  */
	double		d05;		/*  */
	double		d06;		/*  */
	unsigned long	u01;		/*  */
	unsigned long	u02;		/*  */
	unsigned short	fl01;		/*  */
	unsigned short	fl02;		/*  */
	unsigned short	fl03;		/*  */
	unsigned short	fl04;		/*  */
	unsigned short	fl05;		/*  */
	unsigned short	fl06;		/*  */
	unsigned short	fl07;		/*  */
	unsigned short	fl08;		/*  */
	unsigned short	fl09;		/*  */
	unsigned short	fl10;		/*  */
	unsigned short	fl11;		/*  */
	unsigned short	fl12;		/*  */
	unsigned short	dl01;		/*  */
	unsigned short	dl02;		/*  */
	unsigned short	dl03;		/*  */
	unsigned short	dl04;		/*  */
	unsigned short	dl05;		/*  */
	unsigned short	dl06;		/*  */
	unsigned short	ul01;		/*  */
	unsigned short	ul02;		/*  */
	float		l1lo;		/*  */
	float		l1hi;		/*  */
	float		l2lo;		/*  */
	float		l2hi;		/*  */
	float		l3lo;		/*  */
	float		l3hi;		/*  */
	short		l1pr;		/*  */
	short		l2pr;		/*  */
	short		l3pr;		/*  */
	short		year;		/*  */
	short		leap;		/*  */
	short		doy;		/*  */
	short		mon;		/*  */
	short		dom;		/*  */
	short		dow;		/*  */
	short		hod;		/*  */
	short		min;		/*  */
	short		sec;		/*  */
	unsigned long	ctck;		/*  */
	unsigned long	dctk;		/*  */
	unsigned long	tm01;		/*  */
	unsigned long	tm02;		/*  */
	unsigned long	tm03;		/*  */
	unsigned long	tm04;		/*  */
	unsigned long	tm05;		/*  */
	unsigned long	tm06;		/*  */
	unsigned long	tm07;		/*  */
	unsigned long	tm08;		/*  */
	unsigned long	tm09;		/*  */
	unsigned long	tm10;		/*  */
	unsigned long	tm11;		/*  */
	unsigned long	tm12;		/*  */
	unsigned short	tf01;		/*  */
	unsigned short	tf02;		/*  */
	unsigned short	tf03;		/*  */
	unsigned short	tf04;		/*  */
	unsigned short	tf05;		/*  */
	unsigned short	tf06;		/*  */
	unsigned short	tf07;		/*  */
	unsigned short	tf08;		/*  */
	unsigned short	tf09;		/*  */
	unsigned short	tf10;		/*  */
	unsigned short	tf11;		/*  */
	unsigned short	tf12;		/*  */
	float		fp01;		/*  */
	float		fp02;		/*  */
	float		fp03;		/*  */
	float		fp04;		/*  */
	float		fp05;		/*  */
	float		fp06;		/*  */
	float		fp07;		/*  */
	float		fp08;		/*  */
	float		fp09;		/*  */
	float		fp10;		/*  */
	float		fp11;		/*  */
	float		fp12;		/*  */
	float		fp13;		/*  */
	float		fp14;		/*  */
	float		fp15;		/*  */
	float		fp16;		/*  */
	unsigned long	lu01;		/*  */
	unsigned long	lu02;		/*  */
	unsigned long	lu03;		/*  */
	unsigned long	lu04;		/*  */
	unsigned long	lu05;		/*  */
	unsigned long	lu06;		/*  */
	unsigned long	lu07;		/*  */
	unsigned long	lu08;		/*  */
	double		db01;		/*  */
	double		db02;		/*  */
	double		db03;		/*  */
	double		db04;		/*  */
	unsigned short	ft01;		/*  */
	unsigned short	ft02;		/*  */
	unsigned short	ft03;		/*  */
	unsigned short	ft04;		/*  */
	unsigned short	ft05;		/*  */
	unsigned short	ft06;		/*  */
	unsigned short	ft07;		/*  */
	unsigned short	ft08;		/*  */
	unsigned short	ft09;		/*  */
	unsigned short	ft10;		/*  */
	unsigned short	ft11;		/*  */
	unsigned short	ft12;		/*  */
	unsigned short	ft13;		/*  */
	unsigned short	ft14;		/*  */
	unsigned short	ft15;		/*  */
	unsigned short	ft16;		/*  */
	unsigned short	ud01;		/*  */
	unsigned short	ud02;		/*  */
	unsigned short	ud03;		/*  */
	unsigned short	ud04;		/*  */
	unsigned short	ud05;		/*  */
	unsigned short	ud06;		/*  */
	unsigned short	ud07;		/*  */
	unsigned short	ud08;		/*  */
	unsigned short	td01;		/*  */
	unsigned short	td02;		/*  */
	unsigned short	td03;		/*  */
	unsigned short	td04;		/*  */
	unsigned short	bl01;		/*  */
	unsigned short	bl02;		/*  */
	unsigned short	bl03;		/*  */
	unsigned short	bl04;		/*  */
	unsigned short	bl05;		/*  */
	unsigned short	bl06;		/*  */
	unsigned short	bl07;		/*  */
	unsigned short	bl08;		/*  */
	unsigned short	bl09;		/*  */
	unsigned short	bl10;		/*  */
	unsigned short	bl11;		/*  */
	unsigned short	bl12;		/*  */
	unsigned short	bl13;		/*  */
	unsigned short	bl14;		/*  */
	unsigned short	bl15;		/*  */
	unsigned short	bl16;		/*  */
	char		msgf[32];		/*  */
	unsigned long	npfl;		/*  */
	unsigned long	nrfl;		/*  */
	void *lppt;		/*  */
	void *udbt;		/*  */
	unsigned short	inpf;		/*  */
	unsigned short	trfl;		/*  */
	unsigned short	trbl;		/*  */
	unsigned short	trnc;		/*  */
	short		zcmf;		/*  */
};
#endif

