/**********
*
*	File:	sofldidx.h
*	Author:	Gordon Uchenick
*	Date:	01-JUN-1993
*
*	This file contains the field descriptor indices used by the
*	redundant update memory que routines for the stringout record.
*
*	NOTE: The order of the fields in this list must match the order of
*		the list in recStringout.c.
*
*	Modification Log
*       ----------------
*  .01	03-21-94	ems	deleted INIT
*  .02	05-16-94	ems	added INI2, chg NUMFLDS to NUMSOFLDS
*  .03	10-13-94	ems	added LALM and TIME
*  .04	10-20-94	ems	chg TIME to LATM (last alarm time)
*  .05	12-19-94	ems	removed LALM, not needed
*  .06	02-02-96	ems	added LOVL
**********/

#define		STAT	0
#define		SEVR	1
#define		VAL	2
#define		INI2	3
#define		LATM	4
#define		LOVL	5
#define		NUMSOFLDS	(LOVL + 1)
