#ifndef	tisbyteorderH
#define	tisbyteorderH

#ifdef BYTEORDER_0123

#define ntohd(NET,HOST) \
{ \
    long x; \
    x = ntohl(*(long*)&(NET)); \
    *(long *)&(HOST) = ntohl(*((long *)((long *)&(NET)) + 1)); \
    *(long *)(((long *)&(HOST)) + 1) = x; \
}

#define ntohf(NET,HOST) \
{ \
	*(unsigned long *)&(HOST) = ntohl(*(unsigned long *)&(NET)); \
}

#define htond(HOST,NET) \
{ \
    long x; \
    x = ntohl(*(long*)&(HOST)); \
    *(long *)&(NET) = ntohl(*((long *)((long *)&(HOST)) + 1)); \
    *(long *)(((long *)&(NET)) + 1) = x; \
}

#define htonf(HOST,NET) \
{ \
    *(unsigned long *)&(NET) = ntohl(*(unsigned long *)&(HOST)); \
}

#else BYTEORDER_0123

#define ntohd(NET,HOST) \
{ \
    *(double *)&(HOST) = *(double*)&(NET); \
}

#define ntohf(NET,HOST) \
{ \
    *(float *)&(HOST) = *(float *)&(NET); \
}

#define htond(HOST,NET) \
{ \
    *(double *)&(NET) = *(double *)&(HOST); \
}

#define htonf(HOST,NET) \
{ \
    *(float *)&(NET) = ntohl(*(float *)&(HOST)); \
}

#endif BYTEORDER_0123

#endif	tisbyteorderH
