/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/* Name: drvHyundai_proto.h */

static	long init ();

	void TRACEON (unsigned short line);

	void TRACEOFF (unsigned short line);

	void RTRACEON (unsigned short line);

	void RTRACEOFf (unsigned short line);

	void TRACELEVEL (unsigned short line, unsigned short level);

	int STOPDRIVER (short ln);

        int STARTDRIVER (unsigned short line,
                          unsigned short rsi
			  );

	void hhischeduler (unsigned short line);

	void MAIN (unsigned short line);

static 	void on_line (unsigned short line);

static 	void mark_not_valid (HHI_IO  *pmod);

static	void scan_plc (HHI_IO *pmod, unsigned short line);

	int AIDRIVER (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, short *pvalue,
	    		unsigned short conversion, unsigned char *resname,
			unsigned short dtyp);

	int AODRIVER (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal,double dvalue,
			unsigned short value, unsigned short conversion,
			unsigned char *resname, unsigned short dtyp);

	int AOREAD (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned short *pvalue,
	    		unsigned short conv, unsigned char *resname,
			unsigned short dtyp);

	int BIDRIVER (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned long mask,
	    		unsigned long *pvalue, unsigned char *resname,
			unsigned short dtyp);

	int BODRIVER (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned long value,
	    		unsigned long mask, unsigned char *resname,
			unsigned short dtyp);

	int BOREAD (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned long *pvalue,
	    		unsigned long mask, unsigned char *resname,
			unsigned short dtyp);

static void  register_resource (unsigned short link, HHI_IO *pmod,
                                unsigned char *resname, char *pointname);

static	void link_status (unsigned short line);

static 	int allocate_plc (unsigned short line);

static	int check_line_activity (unsigned short line, unsigned short predelay);

static	void init_plc_tab (unsigned short line);

static 	void initplc (HHI_IO  *pmod);

static	void initstats (HHI_IO *pmod);

static	void prepresponses (unsigned short line);

static	int any_responding (unsigned short line);

static	void makecrc (unsigned char *chkbuf, int len,char unsigned *retbuf);

static	void hexascii (unsigned short val,char *buf);

static	short asciihex (unsigned short *val,char *buf);

        void dumplinestats (unsigned short line);

        void clearlinestats (unsigned short line);

        void dumpplcstats (unsigned short line, unsigned short maddr);

        void clearplcstats (unsigned short line, unsigned short maddr);

	void TABLEINFO (unsigned short line, unsigned short maddr);

	redHyundaiTask (HHI_IO *pHHI);


