/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/* Name: drvRtp_proto.h */

static	long	init ();

	void	rtptraceon (unsigned short line);

	void	rtptraceoff (unsigned short line);

	void	rtprestraceon (unsigned short line);

	void	rtprestraceoff (unsigned short line);

	void	rtptrlv (unsigned short line, unsigned short level);

	int	stoprtp (short ln);

        int	startrtp (unsigned short line,
			unsigned short iobc_rtp_addr,
			unsigned short *iobc_vme_base,
			unsigned short bus_switch_addr,
			unsigned short is_redundant,
			unsigned short ca_slave_wnt,
			unsigned short port,
			unsigned short Rtpsperiod,
			unsigned short serport,
			unsigned short serperiod
			);

	void	rtp_driver (unsigned short line,
			unsigned short iobc_rtp_addr,
			unsigned short *iobc_vme_addr,
			unsigned short bus_switch_addr,
			unsigned short port,
			unsigned short Rtpsperiod,
			unsigned short serport,
			unsigned short serperiod
			);

static	int	checkgroup (unsigned short line, unsigned short *lstate,
			unsigned short tracenum);

static 		void on_line (unsigned short line, unsigned short mod);

static 		void mark_not_valid (RTPIO  *pmod, unsigned short line);

static		scan_plc (RTPIO *pmod,
			unsigned short line,
			unsigned short test);


	int	rtp_aidriver (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, short *pvalue,
	    		unsigned short conversion, unsigned char *resname,
			unsigned short dtype, int gain, int scanrate);

	int	rtp_aodriver (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal,double dvalue,
			unsigned short value, unsigned short conversion,
			unsigned char *resname);

	int	rtp_aoread (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned short *pvalue,
	    		unsigned short conv, unsigned char *resname,
			int scanrate);

	int	rtp_bidriver (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned long mask,
	    		unsigned long *pvalue, unsigned char *resname,
			int scanrate);

	int	rtp_bodriver (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned long value,
	    		unsigned long mask, unsigned char *resname);

	int	rtp_boread (char *pointname, unsigned short link,
			unsigned short adapter, unsigned short card,
			unsigned short signal, unsigned long *pvalue,
	    		unsigned long mask, unsigned char *resname,
			int scanrate);

static	void	register_resource (unsigned short link, RTPIO *pmod,
			unsigned char *resname, char *pointname);

static	void	link_status (unsigned short line);

static 	int	allocate_plc (unsigned short line, unsigned short mod);

static	int	check_line_activity (unsigned short line,
			unsigned short predelay);

static	void	init_plc_tab (unsigned short line, unsigned short mod);

static 	void	initplc (RTPIO  *pmod);


static	void	prepresponses (unsigned short line);

static	int	any_responding (unsigned short line);

        void	dumplinestats (unsigned short line);

        void	clearlinestats (unsigned short line);

        void	dumpplcstats (unsigned short line, unsigned short maddr);

        void	clearplcstats (unsigned short line, unsigned short maddr);

static	void    master_updateredimage (unsigned short line);

static	void 	slave_updateredimage (unsigned short line,
			RTPSREDUPD *redbuf, int size);

	int     assignLockGroup (int group, char *resource);


