/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/************************************************************************
*
*    atDefs.h
*
*    modifications
*    -------------
*  .01	10-23-96	ems	creation date
*
************************************************************************/


/* define some parameters first */

#define	ALARMSEVER_SZ		13
#define	ANNUNCTION_SZ		22
#define	PHONENUMBR_SZ		11
#define	NUM_AUTO_CALLS		8

/* defines for the alarm types */

#define	MAX_ALARM_CFGS		3
#define	MAJOR_CFG		0
#define	MINOR_CFG		1
#define	INFO_CFG		2

/* define the alarm severity strings */

#define	MAJOR_ALARM_STR		"MAJOR"
#define	MINOR_ALARM_STR		"MINOR"
#define	INFO_ALARM_STR		"INFO"


/* defines for the annunciation field voices */
#define	NO_ANNUNCIATION		"No Annunciation"
#define	STD_MALE_VOICE		"Standard Male Voice"
#define	DEEP_MALE_VOICE		"Deep Male Voice"
#define	STD_FEMALE_VOICE	"Standard Female Voice"
#define	DEEP_FEMALE_VOICE	"Deep Female Voice"

/* define length of the timeout fields */

#define	TIMEOUT_SZ		3

/* define the database path */

#ifdef WIN32
#define	AT_DATABASE		"\\tis4000db\\alarmtlk.dbf"
#else
#define	AT_DATABASE		"/tis4000db/alarmtlk.dbf"
#endif WIN32

