/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/* defines */
/* Field definitions avmDir.dbf */
#define AVM_STARTDATE_SIZE  20			/* MM/DD/YY-HH:MM:SS */
#define AVM_ENDDATE_SIZE    20
#define AVM_DISKLABEL_SIZE  32
#define AVM_MOUNTPNT_SIZE   32
#define AVM_TABLENAME_SIZE  32
#define AVM_MOUNTED_SIZE    1
#define AVM_DATE_FORMAT     "%02d/%02d/%02d-%02d:%02d:%02d"
#ifdef WIN32
#define AVM_CATALOG_NAME "\\tis4000db\\volCatalog.dbf"
#define AVM_DEFAULT_DATABASE "\\tis4000db"
#else
#define AVM_CATALOG_NAME "/tis4000db/volCatalog.dbf"
#define AVM_DEFAULT_DATABASE "/tis4000db"
#endif WIN32
#define AVM_CATALOG_NAME_ONLY "volCatalog"
#define AVM_STARTDATE_NAME "STARTDATE"
#define AVM_ENDDATE_NAME "ENDDATE"
#define AVM_MOUNTED_NAME "MOUNTED"
#define AVM_DISKLABEL_NAME "DISKLABEL"
#define AVM_MOUNTPNT_NAME "MOUNTPNT"
#define AVM_TABLENAME_NAME "TABLENAME"
#define AVM_LIST_FORMAT "%14.14s  %s - %s"
#define AVM_START_NOT_BLANK "Start Date field\nrequires a value"
#define AVM_END_NOT_BLANK "End date field\nrequires a value"
