/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for dpacfg.dbf
*/

FIELD4INFO	dpaFieldInfo[] = 
	{
	{"NAME",       	'C',	28,	0},
	{"DESC",       	'C',	40,	0},
	{"DTYPE",      	'N',	1,	0},
	{"COUNT",      	'N',	4,	0},
	{"AENB",       	'L',	1,	0},
	{"TENB",       	'L',	1,	0},
	{"ALARMGROUP",	'C',	16,	0},
	{"IRHIGH",     	'N',	16,	4},
	{"IRLOW",      	'N',	16,	4},
	{"EGUTAG",     	'C',	16,	0},
	{"DISPHIGH",	'N',	16,	4},
	{"DISPLOW",    	'N',	16,	4},
	{"PRECISION",	'N',	1,	0},
	{"HIHILIMIT",	'N',	16,	4},
	{"HIGHLIMIT",	'N',	16,	4},
	{"LOWLIMIT",	'N',	16,	4},
	{"LOLOLIMIT",	'N',	16,	4},
	{"HIHISEVER",	'N',	1,	0},
	{"HIGHSEVER",	'N',	1,	0},
	{"LOWSEVER",	'N',	1,	0},
	{"LOLOSEVER",	'N',	1,	0},
	{"NUMSTRS",    	'N',	1,	0},
	{"STRING1",    	'C',	32,	0},
	{"STRING2",    	'C',	32,	0},
	{"STRING3",    	'C',	32,	0},
	{"STRING4",    	'C',	32,	0},
	{"STRING5",    	'C',	32,	0},
	{"STRING6",    	'C',	32,	0},
	{"STRING7",    	'C',	32,	0},
	{"STRING8",    	'C',	32,	0},
	{"USERDATA",	'C',	200,0},
	{0,0,0,0}
	};

T4TAG_INFO	dpaTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
