/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/******************************************************************************
  This header contains definitions which support the graphic launch utility
******************************************************************************/

#define     FILE_SZ              30  
#define     KEY_SZ                6
#define     PARAM_SZ            145   /* include addition of "KEY=<KEY >," (11 chars) */

/*  Definitions for graphic table */

FIELD4INFO    graphic_launch_fields[] = {
      /* Field name,    Type,      Width,     Decimals */
      { "KEY",          'C',        6,        0 },
      { "PREV",         'C',        6,        0 },
      { "NEXT",         'C',        6,        0 },
      { "FILE",         'C',       30,        0 },
      { "PARAM",        'C',      130,        0 },
	  { "DESC",			'C',	  130,		  0 },
      { 0, 0, 0, 0 }            /* NULL - record terminator */
};

/*  Tag for graphic launch table */

T4TAG_INFO    launch_tag[] = {
     /* Tag name,      Key Expression,    Filter Expression,     Unique,     Descending */
     { "TAG",          "KEY",       0,                     0,          0 },
     { 0, 0, 0, 0, 0 } /* NULL - record terminator */
};

