#ifndef vuleadlagdialogclassHXX
#define	vuleadlagdialogclassHXX

class	vuLeadLagContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuLeadLagContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuLeadLagContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuLeadLagDialogClass

    vuPvNameButtonClass	*referenceButton;
    vuFilteredTextitem	*reference;
    filteredTextitem	*eguTag;
    vuCheckBoxClass	*manual;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*processInput;
    vuCheckBoxClass	*maximizeSeverity;
    filteredTextitem	*leadGain;
    filteredTextitem	*leadTime;
    filteredTextitem	*lagTime;
    filteredTextitem	*noiseFilter;
    filteredTextitem	*precision;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
};


//*** LEADLAG DIALOG CLASS *********************************************

class	vuLeadLagDialogClass : public vuCommonDialogClass
{
    vuLeadLagContainerClass	*leadlagContainer;
    vstr			*leadlagTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuLeadLagDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuLeadLagDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vuleadlagdialogclassHXX
