#ifndef vumbbodialogclassHXX
#define	vumbbodialogclassHXX

class	vuMbboContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuMbboContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuMbboContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuMbboDialogClass

    vuBoardTypeMenuClass	*boardType;
    filteredTextitem	*line;
    filteredTextitem	*addr;
    filteredTextitem	*card;
    filteredTextitem	*signal;
    vuPvNameButtonClass	*valueLocButton;
    vuFilteredTextitem	*valueLoc;
    vuPvNameButtonClass	*outputButton;
    vuFilteredTextitem	*output;
    filteredTextitem	*constantValue;
    spinnerClass	*nobt;
    filteredTextitem	*readback;
    vuCheckBoxClass	*closedLoop;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuCheckBoxClass	*outputOnChange;

    filteredTextitem	*zrvlValue;
    filteredTextitem	*zrstValue;
    vuChoiceGblMenuClass	*zrsvSeverity;
    filteredTextitem	*onvlValue;
    filteredTextitem	*onstValue;
    vuChoiceGblMenuClass	*onsvSeverity;
    filteredTextitem	*twvlValue;
    filteredTextitem	*twstValue;
    vuChoiceGblMenuClass	*twsvSeverity;
    filteredTextitem	*thvlValue;
    filteredTextitem	*thstValue;
    vuChoiceGblMenuClass	*thsvSeverity;
    filteredTextitem	*frvlValue;
    filteredTextitem	*frstValue;
    vuChoiceGblMenuClass	*frsvSeverity;
    filteredTextitem	*fvvlValue;
    filteredTextitem	*fvstValue;
    vuChoiceGblMenuClass	*fvsvSeverity;
    filteredTextitem	*sxvlValue;
    filteredTextitem	*sxstValue;
    vuChoiceGblMenuClass	*sxsvSeverity;
    filteredTextitem	*svvlValue;
    filteredTextitem	*svstValue;
    vuChoiceGblMenuClass	*svsvSeverity;
    filteredTextitem	*eivlValue;
    filteredTextitem	*eistValue;
    vuChoiceGblMenuClass	*eisvSeverity;
    filteredTextitem	*nivlValue;
    filteredTextitem	*nistValue;
    vuChoiceGblMenuClass	*nisvSeverity;
    filteredTextitem	*tevlValue;
    filteredTextitem	*testValue;
    vuChoiceGblMenuClass	*tesvSeverity;
    filteredTextitem	*elvlValue;
    filteredTextitem	*elstValue;
    vuChoiceGblMenuClass	*elsvSeverity;
    filteredTextitem	*tvvlValue;
    filteredTextitem	*tvstValue;
    vuChoiceGblMenuClass	*tvsvSeverity;
    filteredTextitem	*ttvlValue;
    filteredTextitem	*ttstValue;
    vuChoiceGblMenuClass	*ttsvSeverity;
    filteredTextitem	*ftvlValue;
    filteredTextitem	*ftstValue;
    vuChoiceGblMenuClass	*ftsvSeverity;
    filteredTextitem	*ffvlValue;
    filteredTextitem	*ffstValue;
    vuChoiceGblMenuClass	*ffsvSeverity;

    vuChoiceGblMenuClass	*cosSeverity;
    vuChoiceGblMenuClass	*undefSeverity;
    vuFilteredTextitem	*alarmGroup;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
};


// *** MBBI DIALOG CLASS **************************************************

class	vuMbboDialogClass : public vuCommonDialogClass
{
    vuMbboContainerClass	*mbboContainer;
    vstr			*mbboTitle;
public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuMbboDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuMbboDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vumbbodialogclassHXX
