#ifndef vupotdialogclassHXX
#define	vupotdialogclassHXX

class	vuPotContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPotContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPotContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuPotDialogClass

    vuPvNameButtonClass	*tempPVButton;
    vuFilteredTextitem	*tempPV;
    vuCheckBoxClass	*processTemp;
    vuCheckBoxClass	*msTemp;
    vuPvNameButtonClass	*custodyPVButton;
    vuFilteredTextitem	*custodyPV;
    vuCheckBoxClass	*processCustody;
    vuCheckBoxClass	*msCustody;
    vuPvNameButtonClass	*flowPVButton;
    vuFilteredTextitem	*flowPV;
    vuCheckBoxClass	*processFlow;
    vuCheckBoxClass	*msFlow;
    vuPvNameButtonClass	*meterPVButton;
    vuFilteredTextitem	*meterPV;
    vuCheckBoxClass	*processMeter;
    vuCheckBoxClass	*msMeter;
    vuPvNameButtonClass	*pressPVButton;
    vuFilteredTextitem	*pressPV;
    vuCheckBoxClass	*processPress;
    vuCheckBoxClass	*msPress;
    vuPvNameButtonClass	*permitPVButton;
    vuFilteredTextitem	*permitPV;
    vuCheckBoxClass	*processPermit;
    vuCheckBoxClass	*msPermit;
    vuPvNameButtonClass	*okPVButton;
    vuFilteredTextitem	*okPV;
    vuCheckBoxClass	*processOk;
    vuCheckBoxClass	*msOk;
    vuPvNameButtonClass	*transferPVButton;
    vuFilteredTextitem	*transferPV;
    vuCheckBoxClass	*processTransfer;
    vuCheckBoxClass	*msTransfer;
    vuPvNameButtonClass	*volPVButton;
    vuFilteredTextitem	*volPV;
    vuCheckBoxClass	*processVol;
    vuCheckBoxClass	*msVol;
    vuChoiceGblMenuClass	*tempUnits;
    vuChoiceGblMenuClass	*mode;
    vuChoiceGblMenuClass	*custodyUnits;
    vuChoiceRecMenuClass	*potType;
    vuChoiceGblMenuClass	*flowUnits;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    filteredTextitem	*meterFactor;
    filteredTextitem	*productChg;
    vuChoiceGblMenuClass	*movementSeverity;
    vuCheckBoxClass	*initEMS;
    filteredTextitem	*productDeadband;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*issueCommand;
    filteredTextitem	*receiveCommand;
    filteredTextitem	*stopCommand;
    filteredTextitem	*issueStatus;
    filteredTextitem	*receiveStatus;
    filteredTextitem	*stopStatus;
    filteredTextitem	*apiTable;
    filteredTextitem	*apiSpGravity;
    filteredTextitem	*product;
    vuFilteredTextitem	*alarmGroup;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
};


//*** POT DIALOG CLASS **********************************************

class	vuPotDialogClass : public vuCommonDialogClass
{
    vuPotContainerClass	*potContainer;
    vstr		*potTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPotDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPotDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vupotdialogclassHXX

