#ifndef vuseldialogclassHXX
#define	vuseldialogclassHXX

class	vuSelContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuSelContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuSelContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuSelDialogClass

    vuPvNameButtonClass	*indexLocationButton;
    vuFilteredTextitem	*indexLocation;
    vuCheckBoxClass	*prc1;
    vuCheckBoxClass	*maxs;
    filteredTextitem	*constantValue;
    vuCheckBoxClass	*manual;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    filteredTextitem	*precision;
    filteredTextitem	*eguTag;
    filteredTextitem	*rocSamples;
    vuChoiceRecMenuClass	*selectMethod;
    spinnerClass	*numberInputs;

    vuPvNameButtonClass	*pvaButton;
    vuFilteredTextitem	*pva;
    vuCheckBoxClass	*prca;
    vuCheckBoxClass	*mxsa;
    filteredTextitem	*csta;
    vuPvNameButtonClass	*pvbButton;
    vuFilteredTextitem	*pvb;
    vuCheckBoxClass	*prcb;
    vuCheckBoxClass	*mxsb;
    filteredTextitem	*cstb;
    vuPvNameButtonClass	*pvcButton;
    vuFilteredTextitem	*pvc;
    vuCheckBoxClass	*prcc;
    vuCheckBoxClass	*mxsc;
    filteredTextitem	*cstc;
    vuPvNameButtonClass	*pvdButton;
    vuFilteredTextitem	*pvd;
    vuCheckBoxClass	*prcd;
    vuCheckBoxClass	*mxsd;
    filteredTextitem	*cstd;
    vuPvNameButtonClass	*pveButton;
    vuFilteredTextitem	*pve;
    vuCheckBoxClass	*prce;
    vuCheckBoxClass	*mxse;
    filteredTextitem	*cste;
    vuPvNameButtonClass	*pvfButton;
    vuFilteredTextitem	*pvf;
    vuCheckBoxClass	*prcf;
    vuCheckBoxClass	*mxsf;
    filteredTextitem	*cstf;
    vuPvNameButtonClass	*pvgButton;
    vuFilteredTextitem	*pvg;
    vuCheckBoxClass	*prcg;
    vuCheckBoxClass	*mxsg;
    filteredTextitem	*cstg;
    vuPvNameButtonClass	*pvhButton;
    vuFilteredTextitem	*pvh;
    vuCheckBoxClass	*prch;
    vuCheckBoxClass	*mxsh;
    filteredTextitem	*csth;
    vuPvNameButtonClass	*pviButton;
    vuFilteredTextitem	*pvi;
    vuCheckBoxClass	*prci;
    vuCheckBoxClass	*mxsi;
    filteredTextitem	*csti;
    vuPvNameButtonClass	*pvjButton;
    vuFilteredTextitem	*pvj;
    vuCheckBoxClass	*prcj;
    vuCheckBoxClass	*mxsj;
    filteredTextitem	*cstj;
    vuPvNameButtonClass	*pvkButton;
    vuFilteredTextitem	*pvk;
    vuCheckBoxClass	*prck;
    vuCheckBoxClass	*mxsk;
    filteredTextitem	*cstk;
    vuPvNameButtonClass	*pvlButton;
    vuFilteredTextitem	*pvl;
    vuCheckBoxClass	*prcl;
    vuCheckBoxClass	*mxsl;
    filteredTextitem	*cstl;

    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*alarmDeadband;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
    filteredTextitem	*devSetpoint;
    vuFilteredTextitem	*alarmGroup;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
    filteredTextitem	*hihiLimit;
    vuChoiceGblMenuClass	*hihiSeverity;
    filteredTextitem		*highLimit;
    vuChoiceGblMenuClass	*highSeverity;
    filteredTextitem		*lowLimit;
    vuChoiceGblMenuClass	*lowSeverity;
    filteredTextitem		*loloLimit;
    vuChoiceGblMenuClass	*loloSeverity;
    filteredTextitem		*rocLimit;
    vuChoiceGblMenuClass	*rocSeverity;
    filteredTextitem		*devLimit;
    vuChoiceGblMenuClass	*devSeverity;
};


//*** SELECTOR DIALOG CLASS ***************************************

class	vuSelDialogClass : public vuCommonDialogClass
{
    vuSelContainerClass	*selContainer;
    vstr		*selTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuSelDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuSelDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);

};

#endif	vuseldialogclassHXX
