/*
 *	D R A W _ S T R I N G S . H
 *	
 *	Author: Grant Irani
 *
 *	draw_strings defs
 *
 *	History
 *
 */

draw_string(
	Display			*d,
	Window			w,
	GC			gc,
	XRectangle		*prec,
	font_table 		*pfont_table,
	char			*pstring,
	unsigned		length,
	enum string_format	format);
	
draw_horizontal_string(
	Display			*d,
	Window			w,
	GC			gc,
	XRectangle		*prec,
	font_table 		*pfont_table,
	char			*pstring,
	int			length,
	enum string_format	format);	

draw_fixed_horizontal_string(
	Display			*d,
	Window			w,
	GC			gc,
	XRectangle		*prec,
	font_table 		*pfont_table,
	char			*pstring,
	int			length,
	enum string_format	format);	

draw_vertical_string(
	Display			*d,
	Window			w,
	GC			gc,
	XRectangle		*prec,
	font_table 		*pfont_table,
	char			*pstring,
	int			length,
	enum string_format	format);	

draw_fixed_vertical_string(
	Display			*d,
	Window			w,
	GC			gc,
	XRectangle		*prec,
	font_table 		*pfont_table,
	char			*pstring,
	int			length,
	enum string_format	format);	
