/*tokens.h,v 1.1.1.1 1999/08/03 14:44:05 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/* Tokens/status for converting ASCII display list to Binary display list */

/*
 * .01 090691 joh	added "TK_" prefix to token to avoid other common
 *			defines used in the editor
 *
 */

#define		TK_ERROR	-1
#define		TK_END		0
#define		TK_OK		1
#define		TK_NAME		2
#define		TK_EQUAL	3
#define		TK_L_BRACKET	4
#define		TK_R_BRACKET	5
#define		TK_NUMBER	6
#define		TK_SUBSCRIPT	7
#define		TK_STRING	8

#define		MAX_TOKEN_LTH	256

#ifdef		DEFINE_TOKENS
char		*tokenName[] = { 
			"TK_ERROR", 
			"TK_END", 
			"TK_OK", 
			"TK_NAME", 
			"TK_EQUAL",
			"TK_L_BRACKET", 
			"TK_R_BRACKET", 
			"TK_NUMBER", 
			"TK_SUBSCRIPT", 
			"TK_STRING",
			"TK_NAME_UNKNOWN" };
#endif
