
/*
**	Set Autosync for DOS volume
**
*/

#include <vxWorks.h>
#include <dosFsLib.h>
#include <stdio.h>
#include <logLib.h>

#if ((CPU == I80386) || (CPU == I80486))
#include <..\config\pc486\pc.h>
#endif

int SetDosFsSync (char *name)
{
    DOS_VOL_DESC *vol ;
    char 	*tail;
    UINT	curopt = 0;

    if ( name == NULL )
	return -1;

    vol = (DOS_VOL_DESC *) iosDevFind(name, &tail );

    dosFsVolOptionsGet (vol, &curopt);
    logMsg ("Current options: DOS_OPT_CHANGENOWARN %d, DOS_OPT_AUTOSYNC %d\n",
		(curopt & DOS_OPT_CHANGENOWARN) == DOS_OPT_CHANGENOWARN,
		(curopt & DOS_OPT_AUTOSYNC) == DOS_OPT_AUTOSYNC, 0,0,0,0);

    return dosFsVolOptionsSet (vol, DOS_OPT_AUTOSYNC);
}

