/****
*
*	File name :		auditx.c
*	Author :		Steve Johnson
*	Creation date :	January 21, 1999
*
*	Copyright (c) 1999 Sigma Six Corporation
*
*	Provide the following entry points
*
*		audit_log
*
*	Audit stub
*
****/

#include <sscommon.h>
#include <sstrace.h>
#include <ssaudit.h>

void audit_logon (char *message)
{
	TRACE_S ("audit_logon, message = %s", message);
}
void audit_logoff (char *message)
{
	TRACE_S ("audit_logoff, message = %s", message);
}

void audit_password (char *message)
{
	TRACE_S ("audit_password, message = %s", message);
}

void audit_write (char *message)
{
	TRACE_S ("audit_write, message = %s", message);
}

void audit_fail (char *message)
{
	TRACE_S ("audit_fail, message = %s", message);
}
void audit_bad_password (char *message)
{
	TRACE_S ("audit_fail, message = %s", message);
}



