/****
*
*	File name :		sslstub.h
*	Author :		Steve Johnson
*	Creation date :	September 10, 1985
*
*	Copyright (c) 1985,1999 Sigma Six Corporation
*
*	Include file for SSL stub layer
*
****/

typedef void	*SSL;

#define SSL_ERROR_WANT_WRITE		1
#define SSL_ERROR_NONE				2
#define SSL_ERROR_WANT_READ			3
#define SSL_ERROR_WANT_X509_LOOKUP	4
#define SSL_ERROR_SSL				5
#define SSL_ERROR_SYSCALL			6
#define SSL_ERROR_ZERO_RETURN		7
#define SSL_ERROR_WANT_CONNECT		8

#define setup_ssl_accept(a)			((SSL *) &a)
#define SSL_read(s,b,z)				recv (s, b, z, 0)
#define SSL_write(s,b,z)			send (s, b, z, 0)
#define do_accept(s,c,h)			(*c = accept (s, NULL, 0))
#define accept_ssl_connection(a)	0
#define SSL_get_error(a,b)			0
#define	GetPeerCN(s)				((char *) s)
#define GetGeneralPrivHost(x,c)		1
#define SSL_get_fd(s)				((int) *s)
#define sslSharedCloseConn(s)		0

