/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


extern "C"
{
#ifdef WIN32
#pragma pack (push, 1)
#endif WIN32
#if defined(WIN32) || defined(USECB63)
#include "cb45to63.h"
#endif WIN32
#include "d4all.h"
#ifdef WIN32
#pragma pack (pop)
#endif WIN32
}

class tagvuServerApp
{
private:
  SERVER *server;
  void filterIt(FILTER_DATA_PTR filter,PntTagRecord *tagRecord);
  int SendTagValue(TagValueData *tagValueDataPtr);
  char *stripWhiteSpace(char *string);
  void FillFromTagDesc(TagValueData *tagdata);
public:
  CODE4		codeBaseDesc;
  DATA4		*pvmapDesc;
  DATA4		*opTrackDesc;
  DATA4		*tagDesc;
  INDEX4		*tagIndexDesc;
  RESP_MSG_UNION	respMsg;
  REQ_MSG_UNION	*reqMsg;
  int errCode;
  short	msgType;
  int		msgLen;
  TagValueData *pendingRequest;
  char operatorName[OPERATOR_SZ+1];
/* functions*/
  tagvuServerApp(SERVER *sv);
  ~tagvuServerApp(void);
  void closeFiles(void);
  int Run(void);
  int addTagRecord(void);
  int removeTagRecord(void);
  int firstTagRecord(void);
  int nextTagRecord(void);
  void TagValueEvent(event_handler_args args);
  void ConnectionHandler(connection_handler_args args);
  char *inputToDate(FIELD4 *field);
};
