/*opcodes.h,v 1.1.1.1 1999/08/03 14:44:55 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software was developed for DLA by Tate Integrated  */
/*	Systems, L.P. via a contract with Vitro Corporation.	*/
/*	It is designed to work with TIS4000 Release 4.2.	*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/* opcodes.h */
#define	NOP		0
#define	JUMP		1
#define	JZERO		2
#define	JNZERO		3
#define	EQ		4
#define	NE		5
#define	GT		6
#define	GE		7
#define	LT		8
#define	LE		9
#define	LEQ		10
#define	LNE		11
#define	LGT		12
#define	LGE		13
#define	LLT		14
#define	LLE		15
#define	AND		16
#define	OR		17
#define	NOT		18
#define	ADD		19
#define	SUB		20
#define	MULT		21
#define	DIV		22
#define	POWER		23
#define	NEG		24
#define	ABS		25
#define	ACOS		26
#define	ASIN		27
#define	ATAN		28
#define	CEILING		29
#define	COS		30
#define	EXP		31
#define	FLOOR		32
#define	LN		33
#define	LOG		34
#undef	MAX
#define	MAX		35
#undef	MIN
#define	MIN		36
#define	MOD		37
#define	SIN		38
#define	SQRT		39
#define	TAN		40
#define	PUSH		41
#define	POP		42
#define	XCHG		43
#define	LOAD		44
#define	STORE		45
#define	TSTART		46
#define	TSTOP		47
#define	TEXP		48
#define	COMD		49
#define	WAITT		50
#define	WAITTOD		51
#define	WAITCSL		52
#define	WAITCSLT	53
#define	PAUSE		54
#define	ACCESS		55
#define	SET		56
#define	SETV		57
#define	ALARM		58
#define	SCSL		59
#define	SCSLW		60
#define	SCSLTOD		61
#define	SCSLTODW	62
#define	SCSLINT		63
#define	SCSLINTW	64
#define	SSH		65
#define	SSHW		66
#define	SSHTOD		67
#define	SSHTODW		68
#define	SSHINT		69
#define	SSHINTW		70
#define	SSHH		71
#define	SSHWH		72
#define	SSHTODH		73
#define	SSHTODWH	74
#define	SSHINTH		75
#define	SSHINTWH	76
#define	ACT		77
#define	STOP		78
#define	STOPX		79
#define	STOPCSL		80
#define	LINENUM		81
#define	WITHIN		82
#define	NWITHIN		83
#define	RUNSTATUS	84
#define	COMPSTATUS	85
#define	SETT		86
#define	STORETINT	87
#define	STORETTOD	88
#define	DECRT		89

