/* trendprefsdlg.h,v 1.1.1.1 1999/08/03 14:45:10 tis4000 Exp
 *
 */

class tpColorButton;
class tpSlider;
class tpAcceptButton;
class tpCancelButton;

/*
 * TrendPrefsDialog - trend graph continer class
 */
class TrendPrefsDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendPrefsDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendPrefsDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	int Alert (vcolorSpec vcolors[8], vcolorSpec vback);
	void AdjustColorClick (int ix);
	void SliderChange (int ix, int value);
	void AcceptClick ();
	void CancelClick ();
	void ResultValues (vcolorSpec vcolors[8], vcolorSpec *vback)
	{
	    vcolors[0] = wcolorSpec[0];
	    vcolors[1] = wcolorSpec[1];
	    vcolors[2] = wcolorSpec[2];
	    vcolors[3] = wcolorSpec[3];
	    vcolors[4] = wcolorSpec[4];
	    vcolors[5] = wcolorSpec[5];
	    vcolors[6] = wcolorSpec[6];
	    vcolors[7] = wcolorSpec[7];
	    *vback = wbackSpec;
	}
    private:
	int result;
	int activeColor;
	tpSlider *redSlider;
	tpSlider *greenSlider;
	tpSlider *blueSlider;
        vcolorSpec wcolorSpec[8];
	vcolorSpec wbackSpec;
        vcolor *wcolors[8];
	vcolor *wback;
	tpColorButton *colorButton[8];
	tpColorButton *backButton;
	tpAcceptButton *accept;
	tpCancelButton *cancel;
};
