/* trendselectdlg.h,v 1.1.1.1 1999/08/03 14:45:11 tis4000 Exp
 *
 */

class tselAcceptButton;
class tselCancelButton;

/*
 * TrendSelectDialog - trend graph continer class
 */

class TrendSelectDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendSelectDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendSelectDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	int Alert (TrendSet *trendSet);
	void AcceptClick ();
	void CancelClick ();
	SEARCH *ResultStruct () { return &searchStruct; }
    private:
	TrendSet workset;
        int result;
	SEARCH searchStruct;

	vcontainerExclusiveGroup *selectTrend;
	vcontainerExclusiveGroup *startType;
	tselAcceptButton *accept;
	tselCancelButton *cancel;
};
