/* utility routines */

#include "trendSizes.h"
#include "trend_defines.h"
#include "archiveLib.h"

extern int trendAccess;

/* routines */
void GetPreference ( long c[], long *b, char *f );
void PutPreference ( long c[], long b, char *f );
long GetTrendCount ( void );
int GetTrendInfo ( char *descr, long *z, long *autoupdate, CHARSPEC trspec[] );
int PutTrendInfo ( char *descr, long z, long autoupdate, CHARSPEC trspec[], int replace );
int DelTrendInfo ( char *descr );
void MakeTSpec ( CHARSPEC specstring, char *epn, int  dbreduc,
                 int  reduc, char *date, char *off, double dl, double dh,
                 double cl, double ch);
void GetTSpec ( CHARSPEC specstring, char *epn, int  *dbreduc,
                int  *reduc, char *date, char *off, long *time,
                double *dl, double *dh, double *cl, double *ch, long z );

int GetRecParams ( char *pointname, int dbred, long when, double *dispLo, double *dispHi ); 
int GetTrendNote ( char *pointname, time_t *when, char **note );
int NextTrendNote ( time_t *when, char **note );
int AddSym ( char *name, char *val );
char *LookupSym ( char *name );
char *ResolveName ( char *dest, char *src, int destlen );
long dbsearch ( char *pointname, int dbred, long when, SEARCH *srch);
void trimblanks ( char *string );
void padblanks ( char *string, int len );
char * GmtDateString (char *datestr, long timeVal); 
long GmtDateVal ( char *datestr, long span );
long SpanVal ( char *span ); 
char *StrTime ( time_t time, char *timestr ); 
char *StrDate ( time_t time, char *timestr ); 
char *LocalStrTime ( time_t time, char *timestr ); 
char *LocalStrDate ( time_t time, char *timestr ); 
char *StrSpan ( long time, char *durstr ); 
